/* 
   name:     UNO_XINTERFACES.REX
   purpose:  define the list of OOo interface classes
   author:   Rony G. Flatscher 
   created:  20080715 22:21:51
   usage:    just require file, then call the routine "OOo.getInterfaceList" to retrieve the list

   jars analyzed to create this file:
                                        D:\Programme\OOo-dev\URE\java\juh.jar:    47 entries,     3 (  6.4%)  being XInterface class(es)
                                       D:\Programme\OOo-dev\URE\java\ridl.jar:   464 entries,   220 ( 47.4%)  being XInterface class(es)
                                       D:\Programme\OOo-dev\URE\java\jurt.jar:    98 entries,     2 (  2.0%)  being XInterface class(es)
                   "D:\Programme\OOo-dev\Basis 3.0\program\classes\unoil.jar":  2489 entries,  1310 ( 52.6%)  being XInterface class(es)
             ---------------------------------------------------------------------------------------------------------------------------
                                                                       totals:  3098 entries,  1535 ( 49.5%)  being XInterface class(es)

  license:                                                                      
                                                                                
   ------------------------ Apache Version 2.0 license -------------------------
      Copyright (C) 2006-2008 Rony G. Flatscher                                 
                                                                                
      Licensed under the Apache License, Version 2.0 (the "License");           
      you may not use this file except in compliance with the License.          
      You may obtain a copy of the License at                                   
                                                                                
          http://www.apache.org/licenses/LICENSE-2.0                            
                                                                                
      Unless required by applicable law or agreed to in writing, software       
      distributed under the License is distributed on an "AS IS" BASIS,         
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
      See the License for the specific language governing permissions and       
      limitations under the License.                                            
   -----------------------------------------------------------------------------

*/

::ROUTINE UNO.getInterfaceList PUBLIC

   l=.list~of( -
		"com.sun.star.accessibility.XAccessible"                                   , ,   -- #    1 unoil.jar
		"com.sun.star.accessibility.XAccessibleAction"                             , ,   -- #    2 unoil.jar
		"com.sun.star.accessibility.XAccessibleComponent"                          , ,   -- #    3 unoil.jar
		"com.sun.star.accessibility.XAccessibleContext"                            , ,   -- #    4 unoil.jar
		"com.sun.star.accessibility.XAccessibleEditableText"                       , ,   -- #    5 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventBroadcaster"                   , ,   -- #    6 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventListener"                      , ,   -- #    7 unoil.jar
		"com.sun.star.accessibility.XAccessibleExtendedComponent"                  , ,   -- #    8 unoil.jar
		"com.sun.star.accessibility.XAccessibleHyperlink"                          , ,   -- #    9 unoil.jar
		"com.sun.star.accessibility.XAccessibleHypertext"                          , ,   -- #   10 unoil.jar
		"com.sun.star.accessibility.XAccessibleImage"                              , ,   -- #   11 unoil.jar
		"com.sun.star.accessibility.XAccessibleKeyBinding"                         , ,   -- #   12 unoil.jar
		"com.sun.star.accessibility.XAccessibleMultiLineText"                      , ,   -- #   13 unoil.jar
		"com.sun.star.accessibility.XAccessibleRelationSet"                        , ,   -- #   14 unoil.jar
		"com.sun.star.accessibility.XAccessibleSelection"                          , ,   -- #   15 unoil.jar
		"com.sun.star.accessibility.XAccessibleStateSet"                           , ,   -- #   16 unoil.jar
		"com.sun.star.accessibility.XAccessibleTable"                              , ,   -- #   17 unoil.jar
		"com.sun.star.accessibility.XAccessibleText"                               , ,   -- #   18 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextAttributes"                     , ,   -- #   19 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextMarkup"                         , ,   -- #   20 unoil.jar
		"com.sun.star.accessibility.XAccessibleValue"                              , ,   -- #   21 unoil.jar
		"com.sun.star.animations.XAnimate"                                         , ,   -- #   22 unoil.jar
		"com.sun.star.animations.XAnimateColor"                                    , ,   -- #   23 unoil.jar
		"com.sun.star.animations.XAnimateMotion"                                   , ,   -- #   24 unoil.jar
		"com.sun.star.animations.XAnimateSet"                                      , ,   -- #   25 unoil.jar
		"com.sun.star.animations.XAnimateTransform"                                , ,   -- #   26 unoil.jar
		"com.sun.star.animations.XAnimationListener"                               , ,   -- #   27 unoil.jar
		"com.sun.star.animations.XAnimationNode"                                   , ,   -- #   28 unoil.jar
		"com.sun.star.animations.XAnimationNodeSupplier"                           , ,   -- #   29 unoil.jar
		"com.sun.star.animations.XAudio"                                           , ,   -- #   30 unoil.jar
		"com.sun.star.animations.XCommand"                                         , ,   -- #   31 unoil.jar
		"com.sun.star.animations.XIterateContainer"                                , ,   -- #   32 unoil.jar
		"com.sun.star.animations.XTargetPropertiesCreator"                         , ,   -- #   33 unoil.jar
		"com.sun.star.animations.XTimeContainer"                                   , ,   -- #   34 unoil.jar
		"com.sun.star.animations.XTransitionFilter"                                , ,   -- #   35 unoil.jar
		"com.sun.star.auth.XSSOAcceptorContext"                                    , ,   -- #   36 unoil.jar
		"com.sun.star.auth.XSSOContext"                                            , ,   -- #   37 unoil.jar
		"com.sun.star.auth.XSSOInitiatorContext"                                   , ,   -- #   38 unoil.jar
		"com.sun.star.auth.XSSOManager"                                            , ,   -- #   39 unoil.jar
		"com.sun.star.auth.XSSOManagerFactory"                                     , ,   -- #   40 unoil.jar
		"com.sun.star.auth.XSSOPasswordCache"                                      , ,   -- #   41 unoil.jar
		"com.sun.star.awt.XActionListener"                                         , ,   -- #   42 unoil.jar
		"com.sun.star.awt.XActivateListener"                                       , ,   -- #   43 unoil.jar
		"com.sun.star.awt.XAdjustmentListener"                                     , ,   -- #   44 unoil.jar
		"com.sun.star.awt.XBitmap"                                                 , ,   -- #   45 unoil.jar
		"com.sun.star.awt.XButton"                                                 , ,   -- #   46 unoil.jar
		"com.sun.star.awt.XCallback"                                               , ,   -- #   47 unoil.jar
		"com.sun.star.awt.XCheckBox"                                               , ,   -- #   48 unoil.jar
		"com.sun.star.awt.XComboBox"                                               , ,   -- #   49 unoil.jar
		"com.sun.star.awt.XContainerWindowEventHandler"                            , ,   -- #   50 unoil.jar
		"com.sun.star.awt.XContainerWindowProvider"                                , ,   -- #   51 unoil.jar
		"com.sun.star.awt.XControl"                                                , ,   -- #   52 unoil.jar
		"com.sun.star.awt.XControlContainer"                                       , ,   -- #   53 unoil.jar
		"com.sun.star.awt.XControlModel"                                           , ,   -- #   54 unoil.jar
		"com.sun.star.awt.XCurrencyField"                                          , ,   -- #   55 unoil.jar
		"com.sun.star.awt.XDataTransferProviderAccess"                             , ,   -- #   56 unoil.jar
		"com.sun.star.awt.XDateField"                                              , ,   -- #   57 unoil.jar
		"com.sun.star.awt.XDevice"                                                 , ,   -- #   58 unoil.jar
		"com.sun.star.awt.XDialog"                                                 , ,   -- #   59 unoil.jar
		"com.sun.star.awt.XDialogEventHandler"                                     , ,   -- #   60 unoil.jar
		"com.sun.star.awt.XDialogProvider"                                         , ,   -- #   61 unoil.jar
		"com.sun.star.awt.XDialogProvider2"                                        , ,   -- #   62 unoil.jar
		"com.sun.star.awt.XDisplayBitmap"                                          , ,   -- #   63 unoil.jar
		"com.sun.star.awt.XDisplayConnection"                                      , ,   -- #   64 unoil.jar
		"com.sun.star.awt.XDockableWindow"                                         , ,   -- #   65 unoil.jar
		"com.sun.star.awt.XDockableWindowListener"                                 , ,   -- #   66 unoil.jar
		"com.sun.star.awt.XEnhancedMouseClickHandler"                              , ,   -- #   67 unoil.jar
		"com.sun.star.awt.XEventHandler"                                           , ,   -- #   68 unoil.jar
		"com.sun.star.awt.XExtendedToolkit"                                        , ,   -- #   69 unoil.jar
		"com.sun.star.awt.XFileDialog"                                             , ,   -- #   70 unoil.jar
		"com.sun.star.awt.XFixedHyperlink"                                         , ,   -- #   71 unoil.jar
		"com.sun.star.awt.XFixedText"                                              , ,   -- #   72 unoil.jar
		"com.sun.star.awt.XFocusListener"                                          , ,   -- #   73 unoil.jar
		"com.sun.star.awt.XFont"                                                   , ,   -- #   74 unoil.jar
		"com.sun.star.awt.XFont2"                                                  , ,   -- #   75 unoil.jar
		"com.sun.star.awt.XGraphics"                                               , ,   -- #   76 unoil.jar
		"com.sun.star.awt.XImageButton"                                            , ,   -- #   77 unoil.jar
		"com.sun.star.awt.XImageConsumer"                                          , ,   -- #   78 unoil.jar
		"com.sun.star.awt.XImageProducer"                                          , ,   -- #   79 unoil.jar
		"com.sun.star.awt.XInfoPrinter"                                            , ,   -- #   80 unoil.jar
		"com.sun.star.awt.XItemEventBroadcaster"                                   , ,   -- #   81 unoil.jar
		"com.sun.star.awt.XItemListener"                                           , ,   -- #   82 unoil.jar
		"com.sun.star.awt.XKeyHandler"                                             , ,   -- #   83 unoil.jar
		"com.sun.star.awt.XKeyListener"                                            , ,   -- #   84 unoil.jar
		"com.sun.star.awt.XLayoutConstrains"                                       , ,   -- #   85 unoil.jar
		"com.sun.star.awt.XListBox"                                                , ,   -- #   86 unoil.jar
		"com.sun.star.awt.XMenu"                                                   , ,   -- #   87 unoil.jar
		"com.sun.star.awt.XMenuBar"                                                , ,   -- #   88 unoil.jar
		"com.sun.star.awt.XMenuExtended"                                           , ,   -- #   89 unoil.jar
		"com.sun.star.awt.XMenuListener"                                           , ,   -- #   90 unoil.jar
		"com.sun.star.awt.XMessageBox"                                             , ,   -- #   91 unoil.jar
		"com.sun.star.awt.XMessageBoxFactory"                                      , ,   -- #   92 unoil.jar
		"com.sun.star.awt.XMetricField"                                            , ,   -- #   93 unoil.jar
		"com.sun.star.awt.XMouseClickHandler"                                      , ,   -- #   94 unoil.jar
		"com.sun.star.awt.XMouseListener"                                          , ,   -- #   95 unoil.jar
		"com.sun.star.awt.XMouseMotionHandler"                                     , ,   -- #   96 unoil.jar
		"com.sun.star.awt.XMouseMotionListener"                                    , ,   -- #   97 unoil.jar
		"com.sun.star.awt.XNumericField"                                           , ,   -- #   98 unoil.jar
		"com.sun.star.awt.XPaintListener"                                          , ,   -- #   99 unoil.jar
		"com.sun.star.awt.XPatternField"                                           , ,   -- #  100 unoil.jar
		"com.sun.star.awt.XPointer"                                                , ,   -- #  101 unoil.jar
		"com.sun.star.awt.XPopupMenu"                                              , ,   -- #  102 unoil.jar
		"com.sun.star.awt.XPrinter"                                                , ,   -- #  103 unoil.jar
		"com.sun.star.awt.XPrinterPropertySet"                                     , ,   -- #  104 unoil.jar
		"com.sun.star.awt.XPrinterServer"                                          , ,   -- #  105 unoil.jar
		"com.sun.star.awt.XProgressBar"                                            , ,   -- #  106 unoil.jar
		"com.sun.star.awt.XProgressMonitor"                                        , ,   -- #  107 unoil.jar
		"com.sun.star.awt.XRadioButton"                                            , ,   -- #  108 unoil.jar
		"com.sun.star.awt.XRegion"                                                 , ,   -- #  109 unoil.jar
		"com.sun.star.awt.XRequestCallback"                                        , ,   -- #  110 unoil.jar
		"com.sun.star.awt.XReschedule"                                             , ,   -- #  111 unoil.jar
		"com.sun.star.awt.XScrollBar"                                              , ,   -- #  112 unoil.jar
		"com.sun.star.awt.XSimpleAnimation"                                        , ,   -- #  113 unoil.jar
		"com.sun.star.awt.XSimpleTabController"                                    , ,   -- #  114 unoil.jar
		"com.sun.star.awt.XSpinField"                                              , ,   -- #  115 unoil.jar
		"com.sun.star.awt.XSpinListener"                                           , ,   -- #  116 unoil.jar
		"com.sun.star.awt.XSpinValue"                                              , ,   -- #  117 unoil.jar
		"com.sun.star.awt.XSystemChildFactory"                                     , ,   -- #  118 unoil.jar
		"com.sun.star.awt.XSystemDependentMenuPeer"                                , ,   -- #  119 unoil.jar
		"com.sun.star.awt.XSystemDependentWindowPeer"                              , ,   -- #  120 unoil.jar
		"com.sun.star.awt.XTabController"                                          , ,   -- #  121 unoil.jar
		"com.sun.star.awt.XTabControllerModel"                                     , ,   -- #  122 unoil.jar
		"com.sun.star.awt.XTabListener"                                            , ,   -- #  123 unoil.jar
		"com.sun.star.awt.XTextArea"                                               , ,   -- #  124 unoil.jar
		"com.sun.star.awt.XTextComponent"                                          , ,   -- #  125 unoil.jar
		"com.sun.star.awt.XTextEditField"                                          , ,   -- #  126 unoil.jar
		"com.sun.star.awt.XTextLayoutConstrains"                                   , ,   -- #  127 unoil.jar
		"com.sun.star.awt.XTextListener"                                           , ,   -- #  128 unoil.jar
		"com.sun.star.awt.XThrobber"                                               , ,   -- #  129 unoil.jar
		"com.sun.star.awt.XTimeField"                                              , ,   -- #  130 unoil.jar
		"com.sun.star.awt.XToggleButton"                                           , ,   -- #  131 unoil.jar
		"com.sun.star.awt.XToolkit"                                                , ,   -- #  132 unoil.jar
		"com.sun.star.awt.XTopWindow"                                              , ,   -- #  133 unoil.jar
		"com.sun.star.awt.XTopWindowListener"                                      , ,   -- #  134 unoil.jar
		"com.sun.star.awt.XUnitConversion"                                         , ,   -- #  135 unoil.jar
		"com.sun.star.awt.XUnoControlContainer"                                    , ,   -- #  136 unoil.jar
		"com.sun.star.awt.XUserInputInterception"                                  , ,   -- #  137 unoil.jar
		"com.sun.star.awt.XVclContainer"                                           , ,   -- #  138 unoil.jar
		"com.sun.star.awt.XVclContainerListener"                                   , ,   -- #  139 unoil.jar
		"com.sun.star.awt.XVclContainerPeer"                                       , ,   -- #  140 unoil.jar
		"com.sun.star.awt.XVclWindowPeer"                                          , ,   -- #  141 unoil.jar
		"com.sun.star.awt.XView"                                                   , ,   -- #  142 unoil.jar
		"com.sun.star.awt.XWindow"                                                 , ,   -- #  143 unoil.jar
		"com.sun.star.awt.XWindow2"                                                , ,   -- #  144 unoil.jar
		"com.sun.star.awt.XWindowListener"                                         , ,   -- #  145 unoil.jar
		"com.sun.star.awt.XWindowListener2"                                        , ,   -- #  146 unoil.jar
		"com.sun.star.awt.XWindowPeer"                                             , ,   -- #  147 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeDataModel"                              , ,   -- #  148 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeNode"                                   , ,   -- #  149 unoil.jar
		"com.sun.star.awt.tree.XTreeControl"                                       , ,   -- #  150 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModel"                                     , ,   -- #  151 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModelListener"                             , ,   -- #  152 unoil.jar
		"com.sun.star.awt.tree.XTreeEditListener"                                  , ,   -- #  153 unoil.jar
		"com.sun.star.awt.tree.XTreeExpansionListener"                             , ,   -- #  154 unoil.jar
		"com.sun.star.awt.tree.XTreeNode"                                          , ,   -- #  155 unoil.jar
		"com.sun.star.beans.XExactName"                                            , ,   -- #  156 ridl.jar
		"com.sun.star.beans.XFastPropertySet"                                      , ,   -- #  157 ridl.jar
		"com.sun.star.beans.XFastPropertyState"                                    , ,   -- #  158 unoil.jar
		"com.sun.star.beans.XHierarchicalPropertySet"                              , ,   -- #  159 ridl.jar
		"com.sun.star.beans.XHierarchicalPropertySetInfo"                          , ,   -- #  160 ridl.jar
		"com.sun.star.beans.XIntroTest"                                            , ,   -- #  161 ridl.jar
		"com.sun.star.beans.XIntrospection"                                        , ,   -- #  162 ridl.jar
		"com.sun.star.beans.XIntrospectionAccess"                                  , ,   -- #  163 ridl.jar
		"com.sun.star.beans.XMaterialHolder"                                       , ,   -- #  164 ridl.jar
		"com.sun.star.beans.XMultiHierarchicalPropertySet"                         , ,   -- #  165 ridl.jar
		"com.sun.star.beans.XMultiPropertySet"                                     , ,   -- #  166 ridl.jar
		"com.sun.star.beans.XMultiPropertyStates"                                  , ,   -- #  167 ridl.jar
		"com.sun.star.beans.XPropertiesChangeListener"                             , ,   -- #  168 ridl.jar
		"com.sun.star.beans.XPropertiesChangeNotifier"                             , ,   -- #  169 ridl.jar
		"com.sun.star.beans.XProperty"                                             , ,   -- #  170 ridl.jar
		"com.sun.star.beans.XPropertyAccess"                                       , ,   -- #  171 ridl.jar
		"com.sun.star.beans.XPropertyChangeListener"                               , ,   -- #  172 ridl.jar
		"com.sun.star.beans.XPropertyContainer"                                    , ,   -- #  173 ridl.jar
		"com.sun.star.beans.XPropertySet"                                          , ,   -- #  174 ridl.jar
		"com.sun.star.beans.XPropertySetInfo"                                      , ,   -- #  175 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeListener"                        , ,   -- #  176 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeNotifier"                        , ,   -- #  177 ridl.jar
		"com.sun.star.beans.XPropertyState"                                        , ,   -- #  178 ridl.jar
		"com.sun.star.beans.XPropertyStateChangeListener"                          , ,   -- #  179 ridl.jar
		"com.sun.star.beans.XPropertyWithState"                                    , ,   -- #  180 ridl.jar
		"com.sun.star.beans.XTolerantMultiPropertySet"                             , ,   -- #  181 ridl.jar
		"com.sun.star.beans.XVetoableChangeListener"                               , ,   -- #  182 ridl.jar
		"com.sun.star.bridge.XBridge"                                              , ,   -- #  183 ridl.jar
		"com.sun.star.bridge.XBridgeFactory"                                       , ,   -- #  184 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier"                                      , ,   -- #  185 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier2"                                     , ,   -- #  186 ridl.jar
		"com.sun.star.bridge.XInstanceProvider"                                    , ,   -- #  187 ridl.jar
		"com.sun.star.bridge.XProtocolProperties"                                  , ,   -- #  188 ridl.jar
		"com.sun.star.bridge.XUnoUrlResolver"                                      , ,   -- #  189 ridl.jar
		"com.sun.star.bridge.oleautomation.XAutomationObject"                      , ,   -- #  190 ridl.jar
		"com.sun.star.chart.X3DDefaultSetter"                                      , ,   -- #  191 unoil.jar
		"com.sun.star.chart.X3DDisplay"                                            , ,   -- #  192 unoil.jar
		"com.sun.star.chart.XAxisXSupplier"                                        , ,   -- #  193 unoil.jar
		"com.sun.star.chart.XAxisYSupplier"                                        , ,   -- #  194 unoil.jar
		"com.sun.star.chart.XAxisZSupplier"                                        , ,   -- #  195 unoil.jar
		"com.sun.star.chart.XChartData"                                            , ,   -- #  196 unoil.jar
		"com.sun.star.chart.XChartDataArray"                                       , ,   -- #  197 unoil.jar
		"com.sun.star.chart.XChartDataChangeEventListener"                         , ,   -- #  198 unoil.jar
		"com.sun.star.chart.XChartDocument"                                        , ,   -- #  199 unoil.jar
		"com.sun.star.chart.XDiagram"                                              , ,   -- #  200 unoil.jar
		"com.sun.star.chart.XSecondAxisTitleSupplier"                              , ,   -- #  201 unoil.jar
		"com.sun.star.chart.XStatisticDisplay"                                     , ,   -- #  202 unoil.jar
		"com.sun.star.chart.XTwoAxisXSupplier"                                     , ,   -- #  203 unoil.jar
		"com.sun.star.chart.XTwoAxisYSupplier"                                     , ,   -- #  204 unoil.jar
		"com.sun.star.chart2.XAxis"                                                , ,   -- #  205 unoil.jar
/* ---> [com.sun.star.chart2.XChartDocument]: class name [XChartDocument] in use already! (com.sun.star.chart.XChartDocument) */ - 
		"com.sun.star.chart2.XChartDocument"                                       , ,   -- #  206 unoil.jar
		"com.sun.star.chart2.XChartShape"                                          , ,   -- #  207 unoil.jar
		"com.sun.star.chart2.XChartShapeContainer"                                 , ,   -- #  208 unoil.jar
		"com.sun.star.chart2.XChartType"                                           , ,   -- #  209 unoil.jar
		"com.sun.star.chart2.XChartTypeContainer"                                  , ,   -- #  210 unoil.jar
		"com.sun.star.chart2.XChartTypeManager"                                    , ,   -- #  211 unoil.jar
		"com.sun.star.chart2.XChartTypeTemplate"                                   , ,   -- #  212 unoil.jar
		"com.sun.star.chart2.XColorScheme"                                         , ,   -- #  213 unoil.jar
		"com.sun.star.chart2.XCoordinateSystem"                                    , ,   -- #  214 unoil.jar
		"com.sun.star.chart2.XCoordinateSystemContainer"                           , ,   -- #  215 unoil.jar
		"com.sun.star.chart2.XDataInterpreter"                                     , ,   -- #  216 unoil.jar
		"com.sun.star.chart2.XDataSeries"                                          , ,   -- #  217 unoil.jar
		"com.sun.star.chart2.XDataSeriesContainer"                                 , ,   -- #  218 unoil.jar
/* ---> [com.sun.star.chart2.XDiagram]: class name [XDiagram] in use already! (com.sun.star.chart.XDiagram) */ - 
		"com.sun.star.chart2.XDiagram"                                             , ,   -- #  219 unoil.jar
		"com.sun.star.chart2.XDiagramProvider"                                     , ,   -- #  220 unoil.jar
		"com.sun.star.chart2.XFormattedString"                                     , ,   -- #  221 unoil.jar
		"com.sun.star.chart2.XInternalDataProvider"                                , ,   -- #  222 unoil.jar
		"com.sun.star.chart2.XLabeled"                                             , ,   -- #  223 unoil.jar
		"com.sun.star.chart2.XLegend"                                              , ,   -- #  224 unoil.jar
		"com.sun.star.chart2.XLegendEntry"                                         , ,   -- #  225 unoil.jar
		"com.sun.star.chart2.XLegendSymbolProvider"                                , ,   -- #  226 unoil.jar
		"com.sun.star.chart2.XPlotter"                                             , ,   -- #  227 unoil.jar
		"com.sun.star.chart2.XRegressionCurve"                                     , ,   -- #  228 unoil.jar
		"com.sun.star.chart2.XRegressionCurveCalculator"                           , ,   -- #  229 unoil.jar
		"com.sun.star.chart2.XRegressionCurveContainer"                            , ,   -- #  230 unoil.jar
		"com.sun.star.chart2.XScaling"                                             , ,   -- #  231 unoil.jar
		"com.sun.star.chart2.XTarget"                                              , ,   -- #  232 unoil.jar
		"com.sun.star.chart2.XTitle"                                               , ,   -- #  233 unoil.jar
		"com.sun.star.chart2.XTitled"                                              , ,   -- #  234 unoil.jar
		"com.sun.star.chart2.XTransformation"                                      , ,   -- #  235 unoil.jar
		"com.sun.star.chart2.XUndoHelper"                                          , ,   -- #  236 unoil.jar
		"com.sun.star.chart2.XUndoManager"                                         , ,   -- #  237 unoil.jar
		"com.sun.star.chart2.XUndoSupplier"                                        , ,   -- #  238 unoil.jar
		"com.sun.star.chart2.data.XDataProvider"                                   , ,   -- #  239 unoil.jar
		"com.sun.star.chart2.data.XDataReceiver"                                   , ,   -- #  240 unoil.jar
		"com.sun.star.chart2.data.XDataSequence"                                   , ,   -- #  241 unoil.jar
		"com.sun.star.chart2.data.XDataSink"                                       , ,   -- #  242 unoil.jar
		"com.sun.star.chart2.data.XDataSource"                                     , ,   -- #  243 unoil.jar
		"com.sun.star.chart2.data.XDatabaseDataProvider"                           , ,   -- #  244 unoil.jar
		"com.sun.star.chart2.data.XLabeledDataSequence"                            , ,   -- #  245 unoil.jar
		"com.sun.star.chart2.data.XNumericalDataSequence"                          , ,   -- #  246 unoil.jar
		"com.sun.star.chart2.data.XRangeHighlighter"                               , ,   -- #  247 unoil.jar
		"com.sun.star.chart2.data.XRangeXMLConversion"                             , ,   -- #  248 unoil.jar
		"com.sun.star.chart2.data.XTextualDataSequence"                            , ,   -- #  249 unoil.jar
		"com.sun.star.configuration.XTemplateContainer"                            , ,   -- #  250 unoil.jar
		"com.sun.star.configuration.XTemplateInstance"                             , ,   -- #  251 unoil.jar
		"com.sun.star.configuration.backend.XBackend"                              , ,   -- #  252 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesListener"               , ,   -- #  253 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesNotifier"               , ,   -- #  254 unoil.jar
		"com.sun.star.configuration.backend.XBackendEntities"                      , ,   -- #  255 unoil.jar
		"com.sun.star.configuration.backend.XCompositeLayer"                       , ,   -- #  256 unoil.jar
		"com.sun.star.configuration.backend.XLayer"                                , ,   -- #  257 unoil.jar
		"com.sun.star.configuration.backend.XLayerContentDescriber"                , ,   -- #  258 unoil.jar
		"com.sun.star.configuration.backend.XLayerHandler"                         , ,   -- #  259 unoil.jar
		"com.sun.star.configuration.backend.XLayerImporter"                        , ,   -- #  260 unoil.jar
		"com.sun.star.configuration.backend.XMultiLayerStratum"                    , ,   -- #  261 unoil.jar
		"com.sun.star.configuration.backend.XSchema"                               , ,   -- #  262 unoil.jar
		"com.sun.star.configuration.backend.XSchemaHandler"                        , ,   -- #  263 unoil.jar
		"com.sun.star.configuration.backend.XSchemaSupplier"                       , ,   -- #  264 unoil.jar
		"com.sun.star.configuration.backend.XSingleLayerStratum"                   , ,   -- #  265 unoil.jar
		"com.sun.star.configuration.backend.XUpdatableLayer"                       , ,   -- #  266 unoil.jar
		"com.sun.star.configuration.backend.XUpdateHandler"                        , ,   -- #  267 unoil.jar
		"com.sun.star.configuration.backend.XVersionedSchemaSupplier"              , ,   -- #  268 unoil.jar
		"com.sun.star.connection.XAcceptor"                                        , ,   -- #  269 ridl.jar
		"com.sun.star.connection.XConnection"                                      , ,   -- #  270 ridl.jar
		"com.sun.star.connection.XConnection2"                                     , ,   -- #  271 ridl.jar
		"com.sun.star.connection.XConnectionBroadcaster"                           , ,   -- #  272 ridl.jar
		"com.sun.star.connection.XConnector"                                       , ,   -- #  273 ridl.jar
		"com.sun.star.container.XChild"                                            , ,   -- #  274 ridl.jar
		"com.sun.star.container.XComponentEnumeration"                             , ,   -- #  275 ridl.jar
		"com.sun.star.container.XComponentEnumerationAccess"                       , ,   -- #  276 ridl.jar
		"com.sun.star.container.XContainer"                                        , ,   -- #  277 ridl.jar
		"com.sun.star.container.XContainerApproveBroadcaster"                      , ,   -- #  278 ridl.jar
		"com.sun.star.container.XContainerApproveListener"                         , ,   -- #  279 ridl.jar
		"com.sun.star.container.XContainerListener"                                , ,   -- #  280 ridl.jar
		"com.sun.star.container.XContainerQuery"                                   , ,   -- #  281 ridl.jar
		"com.sun.star.container.XContentEnumerationAccess"                         , ,   -- #  282 ridl.jar
		"com.sun.star.container.XElementAccess"                                    , ,   -- #  283 ridl.jar
		"com.sun.star.container.XEnumeration"                                      , ,   -- #  284 ridl.jar
		"com.sun.star.container.XEnumerationAccess"                                , ,   -- #  285 ridl.jar
		"com.sun.star.container.XHierarchicalName"                                 , ,   -- #  286 ridl.jar
		"com.sun.star.container.XHierarchicalNameAccess"                           , ,   -- #  287 ridl.jar
		"com.sun.star.container.XHierarchicalNameContainer"                        , ,   -- #  288 ridl.jar
		"com.sun.star.container.XHierarchicalNameReplace"                          , ,   -- #  289 ridl.jar
		"com.sun.star.container.XIdentifierAccess"                                 , ,   -- #  290 ridl.jar
		"com.sun.star.container.XIdentifierContainer"                              , ,   -- #  291 ridl.jar
		"com.sun.star.container.XIdentifierReplace"                                , ,   -- #  292 ridl.jar
		"com.sun.star.container.XImplicitIDAccess"                                 , ,   -- #  293 ridl.jar
		"com.sun.star.container.XImplicitIDContainer"                              , ,   -- #  294 ridl.jar
		"com.sun.star.container.XImplicitIDReplace"                                , ,   -- #  295 ridl.jar
		"com.sun.star.container.XIndexAccess"                                      , ,   -- #  296 ridl.jar
		"com.sun.star.container.XIndexContainer"                                   , ,   -- #  297 ridl.jar
		"com.sun.star.container.XIndexReplace"                                     , ,   -- #  298 ridl.jar
		"com.sun.star.container.XNameAccess"                                       , ,   -- #  299 ridl.jar
		"com.sun.star.container.XNameContainer"                                    , ,   -- #  300 ridl.jar
		"com.sun.star.container.XNameReplace"                                      , ,   -- #  301 ridl.jar
		"com.sun.star.container.XNamed"                                            , ,   -- #  302 ridl.jar
		"com.sun.star.container.XSet"                                              , ,   -- #  303 ridl.jar
		"com.sun.star.container.XStringKeyMap"                                     , ,   -- #  304 ridl.jar
		"com.sun.star.container.XUniqueIDAccess"                                   , ,   -- #  305 ridl.jar
		"com.sun.star.datatransfer.XDataFormatTranslator"                          , ,   -- #  306 unoil.jar
		"com.sun.star.datatransfer.XMimeContentType"                               , ,   -- #  307 unoil.jar
		"com.sun.star.datatransfer.XMimeContentTypeFactory"                        , ,   -- #  308 unoil.jar
		"com.sun.star.datatransfer.XSystemTransferable"                            , ,   -- #  309 unoil.jar
		"com.sun.star.datatransfer.XTransferDataAccess"                            , ,   -- #  310 unoil.jar
		"com.sun.star.datatransfer.XTransferable"                                  , ,   -- #  311 unoil.jar
		"com.sun.star.datatransfer.XTransferableEx"                                , ,   -- #  312 unoil.jar
		"com.sun.star.datatransfer.XTransferableSource"                            , ,   -- #  313 unoil.jar
		"com.sun.star.datatransfer.XTransferableSupplier"                          , ,   -- #  314 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboard"                           , ,   -- #  315 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardEx"                         , ,   -- #  316 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardFactory"                    , ,   -- #  317 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardListener"                   , ,   -- #  318 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardManager"                    , ,   -- #  319 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardNotifier"                   , ,   -- #  320 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardOwner"                      , ,   -- #  321 unoil.jar
		"com.sun.star.datatransfer.clipboard.XFlushableClipboard"                  , ,   -- #  322 unoil.jar
		"com.sun.star.datatransfer.dnd.XAutoscroll"                                , ,   -- #  323 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureListener"                       , ,   -- #  324 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureRecognizer"                     , ,   -- #  325 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSource"                                , ,   -- #  326 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceContext"                         , ,   -- #  327 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceListener"                        , ,   -- #  328 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTarget"                                , ,   -- #  329 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDragContext"                     , ,   -- #  330 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDropContext"                     , ,   -- #  331 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetListener"                        , ,   -- #  332 unoil.jar
		"com.sun.star.deployment.XPackage"                                         , ,   -- #  333 unoil.jar
		"com.sun.star.deployment.XPackageInformationProvider"                      , ,   -- #  334 unoil.jar
		"com.sun.star.deployment.XPackageManager"                                  , ,   -- #  335 unoil.jar
		"com.sun.star.deployment.XPackageManagerFactory"                           , ,   -- #  336 unoil.jar
		"com.sun.star.deployment.XPackageRegistry"                                 , ,   -- #  337 unoil.jar
		"com.sun.star.deployment.XPackageTypeInfo"                                 , ,   -- #  338 unoil.jar
		"com.sun.star.deployment.XUpdateInformationProvider"                       , ,   -- #  339 unoil.jar
		"com.sun.star.document.XActionLockable"                                    , ,   -- #  340 unoil.jar
		"com.sun.star.document.XBinaryStreamResolver"                              , ,   -- #  341 unoil.jar
		"com.sun.star.document.XDocumentInfo"                                      , ,   -- #  342 unoil.jar
		"com.sun.star.document.XDocumentInfoSupplier"                              , ,   -- #  343 unoil.jar
		"com.sun.star.document.XDocumentInsertable"                                , ,   -- #  344 unoil.jar
		"com.sun.star.document.XDocumentLanguages"                                 , ,   -- #  345 unoil.jar
		"com.sun.star.document.XDocumentProperties"                                , ,   -- #  346 unoil.jar
		"com.sun.star.document.XDocumentPropertiesSupplier"                        , ,   -- #  347 unoil.jar
		"com.sun.star.document.XDocumentRevisionListPersistence"                   , ,   -- #  348 unoil.jar
		"com.sun.star.document.XDocumentSubStorageSupplier"                        , ,   -- #  349 unoil.jar
		"com.sun.star.document.XEmbeddedObjectResolver"                            , ,   -- #  350 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier"                            , ,   -- #  351 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier2"                           , ,   -- #  352 unoil.jar
		"com.sun.star.document.XEmbeddedScripts"                                   , ,   -- #  353 unoil.jar
		"com.sun.star.document.XEventBroadcaster"                                  , ,   -- #  354 unoil.jar
		"com.sun.star.document.XEventListener"                                     , ,   -- #  355 unoil.jar
		"com.sun.star.document.XEventsSupplier"                                    , ,   -- #  356 unoil.jar
		"com.sun.star.document.XExporter"                                          , ,   -- #  357 unoil.jar
		"com.sun.star.document.XExtendedFilterDetection"                           , ,   -- #  358 unoil.jar
		"com.sun.star.document.XFilter"                                            , ,   -- #  359 unoil.jar
		"com.sun.star.document.XFilterAdapter"                                     , ,   -- #  360 unoil.jar
		"com.sun.star.document.XGraphicObjectResolver"                             , ,   -- #  361 unoil.jar
		"com.sun.star.document.XImporter"                                          , ,   -- #  362 unoil.jar
		"com.sun.star.document.XInteractionFilterOptions"                          , ,   -- #  363 unoil.jar
		"com.sun.star.document.XInteractionFilterSelect"                           , ,   -- #  364 unoil.jar
		"com.sun.star.document.XLinkTargetSupplier"                                , ,   -- #  365 unoil.jar
		"com.sun.star.document.XMimeTypeInfo"                                      , ,   -- #  366 unoil.jar
		"com.sun.star.document.XOOXMLDocumentPropertiesImporter"                   , ,   -- #  367 unoil.jar
		"com.sun.star.document.XRedlinesSupplier"                                  , ,   -- #  368 unoil.jar
		"com.sun.star.document.XScriptInvocationContext"                           , ,   -- #  369 unoil.jar
		"com.sun.star.document.XStandaloneDocumentInfo"                            , ,   -- #  370 unoil.jar
		"com.sun.star.document.XStorageBasedDocument"                              , ,   -- #  371 unoil.jar
		"com.sun.star.document.XStorageChangeListener"                             , ,   -- #  372 unoil.jar
		"com.sun.star.document.XTypeDetection"                                     , ,   -- #  373 unoil.jar
		"com.sun.star.document.XViewDataSupplier"                                  , ,   -- #  374 unoil.jar
		"com.sun.star.drawing.XConnectableShape"                                   , ,   -- #  375 unoil.jar
		"com.sun.star.drawing.XConnectorShape"                                     , ,   -- #  376 unoil.jar
		"com.sun.star.drawing.XControlShape"                                       , ,   -- #  377 unoil.jar
		"com.sun.star.drawing.XCustomShapeEngine"                                  , ,   -- #  378 unoil.jar
		"com.sun.star.drawing.XCustomShapeHandle"                                  , ,   -- #  379 unoil.jar
		"com.sun.star.drawing.XDrawPage"                                           , ,   -- #  380 unoil.jar
		"com.sun.star.drawing.XDrawPageDuplicator"                                 , ,   -- #  381 unoil.jar
		"com.sun.star.drawing.XDrawPageExpander"                                   , ,   -- #  382 unoil.jar
		"com.sun.star.drawing.XDrawPageSummarizer"                                 , ,   -- #  383 unoil.jar
		"com.sun.star.drawing.XDrawPageSupplier"                                   , ,   -- #  384 unoil.jar
		"com.sun.star.drawing.XDrawPages"                                          , ,   -- #  385 unoil.jar
		"com.sun.star.drawing.XDrawPagesSupplier"                                  , ,   -- #  386 unoil.jar
		"com.sun.star.drawing.XDrawSubController"                                  , ,   -- #  387 unoil.jar
		"com.sun.star.drawing.XDrawView"                                           , ,   -- #  388 unoil.jar
		"com.sun.star.drawing.XEnhancedCustomShapeDefaulter"                       , ,   -- #  389 unoil.jar
		"com.sun.star.drawing.XGluePointsSupplier"                                 , ,   -- #  390 unoil.jar
/* ---> [com.sun.star.drawing.XLayer]: class name [XLayer] in use already! (com.sun.star.configuration.backend.XLayer) */ - 
		"com.sun.star.drawing.XLayer"                                              , ,   -- #  391 unoil.jar
		"com.sun.star.drawing.XLayerManager"                                       , ,   -- #  392 unoil.jar
		"com.sun.star.drawing.XLayerSupplier"                                      , ,   -- #  393 unoil.jar
		"com.sun.star.drawing.XMasterPageTarget"                                   , ,   -- #  394 unoil.jar
		"com.sun.star.drawing.XMasterPagesSupplier"                                , ,   -- #  395 unoil.jar
		"com.sun.star.drawing.XPresenterHelper"                                    , ,   -- #  396 unoil.jar
		"com.sun.star.drawing.XSelectionFunction"                                  , ,   -- #  397 unoil.jar
		"com.sun.star.drawing.XShape"                                              , ,   -- #  398 unoil.jar
		"com.sun.star.drawing.XShapeAligner"                                       , ,   -- #  399 unoil.jar
		"com.sun.star.drawing.XShapeArranger"                                      , ,   -- #  400 unoil.jar
		"com.sun.star.drawing.XShapeBinder"                                        , ,   -- #  401 unoil.jar
		"com.sun.star.drawing.XShapeCombiner"                                      , ,   -- #  402 unoil.jar
		"com.sun.star.drawing.XShapeDescriptor"                                    , ,   -- #  403 unoil.jar
		"com.sun.star.drawing.XShapeGroup"                                         , ,   -- #  404 unoil.jar
		"com.sun.star.drawing.XShapeGrouper"                                       , ,   -- #  405 unoil.jar
		"com.sun.star.drawing.XShapeMirror"                                        , ,   -- #  406 unoil.jar
		"com.sun.star.drawing.XShapes"                                             , ,   -- #  407 unoil.jar
		"com.sun.star.drawing.XSlidePreviewCache"                                  , ,   -- #  408 unoil.jar
		"com.sun.star.drawing.XSlidePreviewCacheListener"                          , ,   -- #  409 unoil.jar
		"com.sun.star.drawing.XSlideRenderer"                                      , ,   -- #  410 unoil.jar
		"com.sun.star.drawing.XSlideSorterBase"                                    , ,   -- #  411 unoil.jar
		"com.sun.star.drawing.XUniversalShapeDescriptor"                           , ,   -- #  412 unoil.jar
		"com.sun.star.drawing.framework.XConfiguration"                            , ,   -- #  413 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeListener"              , ,   -- #  414 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeRequest"               , ,   -- #  415 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationController"                  , ,   -- #  416 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerBroadcaster"       , ,   -- #  417 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerRequestQueue"      , ,   -- #  418 unoil.jar
		"com.sun.star.drawing.framework.XControllerManager"                        , ,   -- #  419 unoil.jar
		"com.sun.star.drawing.framework.XModuleController"                         , ,   -- #  420 unoil.jar
		"com.sun.star.drawing.framework.XPane"                                     , ,   -- #  421 unoil.jar
		"com.sun.star.drawing.framework.XPaneBorderPainter"                        , ,   -- #  422 unoil.jar
		"com.sun.star.drawing.framework.XRelocatableResource"                      , ,   -- #  423 unoil.jar
		"com.sun.star.drawing.framework.XResource"                                 , ,   -- #  424 unoil.jar
		"com.sun.star.drawing.framework.XResourceFactory"                          , ,   -- #  425 unoil.jar
		"com.sun.star.drawing.framework.XResourceFactoryManager"                   , ,   -- #  426 unoil.jar
		"com.sun.star.drawing.framework.XResourceId"                               , ,   -- #  427 unoil.jar
		"com.sun.star.drawing.framework.XTabBar"                                   , ,   -- #  428 unoil.jar
		"com.sun.star.drawing.framework.XToolBar"                                  , ,   -- #  429 unoil.jar
/* ---> [com.sun.star.drawing.framework.XView]: class name [XView] in use already! (com.sun.star.awt.XView) */ - 
		"com.sun.star.drawing.framework.XView"                                     , ,   -- #  430 unoil.jar
		"com.sun.star.embed.XActionsApproval"                                      , ,   -- #  431 unoil.jar
		"com.sun.star.embed.XClassifiedObject"                                     , ,   -- #  432 unoil.jar
		"com.sun.star.embed.XCommonEmbedPersist"                                   , ,   -- #  433 unoil.jar
		"com.sun.star.embed.XComponentSupplier"                                    , ,   -- #  434 unoil.jar
		"com.sun.star.embed.XEmbedObjectClipboardCreator"                          , ,   -- #  435 unoil.jar
		"com.sun.star.embed.XEmbedObjectCreator"                                   , ,   -- #  436 unoil.jar
		"com.sun.star.embed.XEmbedObjectFactory"                                   , ,   -- #  437 unoil.jar
		"com.sun.star.embed.XEmbedPersist"                                         , ,   -- #  438 unoil.jar
		"com.sun.star.embed.XEmbeddedClient"                                       , ,   -- #  439 unoil.jar
		"com.sun.star.embed.XEmbeddedObject"                                       , ,   -- #  440 unoil.jar
		"com.sun.star.embed.XEncryptionProtectedSource"                            , ,   -- #  441 unoil.jar
		"com.sun.star.embed.XExtendedStorageStream"                                , ,   -- #  442 unoil.jar
		"com.sun.star.embed.XHatchWindow"                                          , ,   -- #  443 unoil.jar
		"com.sun.star.embed.XHatchWindowController"                                , ,   -- #  444 unoil.jar
		"com.sun.star.embed.XHatchWindowFactory"                                   , ,   -- #  445 unoil.jar
		"com.sun.star.embed.XHierarchicalStorageAccess"                            , ,   -- #  446 unoil.jar
		"com.sun.star.embed.XInplaceClient"                                        , ,   -- #  447 unoil.jar
		"com.sun.star.embed.XInplaceObject"                                        , ,   -- #  448 unoil.jar
		"com.sun.star.embed.XInsertObjectDialog"                                   , ,   -- #  449 unoil.jar
		"com.sun.star.embed.XLinkCreator"                                          , ,   -- #  450 unoil.jar
		"com.sun.star.embed.XLinkFactory"                                          , ,   -- #  451 unoil.jar
		"com.sun.star.embed.XLinkageSupport"                                       , ,   -- #  452 unoil.jar
		"com.sun.star.embed.XOLESimpleStorage"                                     , ,   -- #  453 unoil.jar
		"com.sun.star.embed.XOptimizedStorage"                                     , ,   -- #  454 unoil.jar
		"com.sun.star.embed.XPackageStructureCreator"                              , ,   -- #  455 unoil.jar
		"com.sun.star.embed.XPersistanceHolder"                                    , ,   -- #  456 unoil.jar
		"com.sun.star.embed.XRelationshipAccess"                                   , ,   -- #  457 unoil.jar
		"com.sun.star.embed.XStateChangeBroadcaster"                               , ,   -- #  458 unoil.jar
		"com.sun.star.embed.XStateChangeListener"                                  , ,   -- #  459 unoil.jar
		"com.sun.star.embed.XStorage"                                              , ,   -- #  460 unoil.jar
		"com.sun.star.embed.XStorageRawAccess"                                     , ,   -- #  461 unoil.jar
		"com.sun.star.embed.XTransactedObject"                                     , ,   -- #  462 unoil.jar
		"com.sun.star.embed.XTransactionBroadcaster"                               , ,   -- #  463 unoil.jar
		"com.sun.star.embed.XTransactionListener"                                  , ,   -- #  464 unoil.jar
/* ---> [com.sun.star.embed.XTransferableSupplier]: class name [XTransferableSupplier] in use already! (com.sun.star.datatransfer.XTransferableSupplier) */ - 
		"com.sun.star.embed.XTransferableSupplier"                                 , ,   -- #  465 unoil.jar
		"com.sun.star.embed.XVisualObject"                                         , ,   -- #  466 unoil.jar
		"com.sun.star.embed.XWindowSupplier"                                       , ,   -- #  467 unoil.jar
		"com.sun.star.form.XApproveActionBroadcaster"                              , ,   -- #  468 unoil.jar
		"com.sun.star.form.XApproveActionListener"                                 , ,   -- #  469 unoil.jar
		"com.sun.star.form.XBoundComponent"                                        , ,   -- #  470 unoil.jar
		"com.sun.star.form.XBoundControl"                                          , ,   -- #  471 unoil.jar
		"com.sun.star.form.XChangeBroadcaster"                                     , ,   -- #  472 unoil.jar
		"com.sun.star.form.XChangeListener"                                        , ,   -- #  473 unoil.jar
		"com.sun.star.form.XConfirmDeleteBroadcaster"                              , ,   -- #  474 unoil.jar
		"com.sun.star.form.XConfirmDeleteListener"                                 , ,   -- #  475 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster"                          , ,   -- #  476 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster2"                         , ,   -- #  477 unoil.jar
		"com.sun.star.form.XDatabaseParameterListener"                             , ,   -- #  478 unoil.jar
		"com.sun.star.form.XDeleteListener"                                        , ,   -- #  479 unoil.jar
		"com.sun.star.form.XErrorBroadcaster"                                      , ,   -- #  480 unoil.jar
		"com.sun.star.form.XErrorListener"                                         , ,   -- #  481 unoil.jar
		"com.sun.star.form.XForm"                                                  , ,   -- #  482 unoil.jar
		"com.sun.star.form.XFormComponent"                                         , ,   -- #  483 unoil.jar
		"com.sun.star.form.XFormController"                                        , ,   -- #  484 unoil.jar
		"com.sun.star.form.XFormControllerListener"                                , ,   -- #  485 unoil.jar
		"com.sun.star.form.XFormsSupplier"                                         , ,   -- #  486 unoil.jar
		"com.sun.star.form.XFormsSupplier2"                                        , ,   -- #  487 unoil.jar
		"com.sun.star.form.XGrid"                                                  , ,   -- #  488 unoil.jar
		"com.sun.star.form.XGridColumnFactory"                                     , ,   -- #  489 unoil.jar
		"com.sun.star.form.XGridFieldDataSupplier"                                 , ,   -- #  490 unoil.jar
		"com.sun.star.form.XGridPeer"                                              , ,   -- #  491 unoil.jar
		"com.sun.star.form.XImageProducerSupplier"                                 , ,   -- #  492 unoil.jar
		"com.sun.star.form.XInsertListener"                                        , ,   -- #  493 unoil.jar
		"com.sun.star.form.XLoadListener"                                          , ,   -- #  494 unoil.jar
		"com.sun.star.form.XLoadable"                                              , ,   -- #  495 unoil.jar
		"com.sun.star.form.XPositioningListener"                                   , ,   -- #  496 unoil.jar
		"com.sun.star.form.XReset"                                                 , ,   -- #  497 unoil.jar
		"com.sun.star.form.XResetListener"                                         , ,   -- #  498 unoil.jar
		"com.sun.star.form.XRestoreListener"                                       , ,   -- #  499 unoil.jar
		"com.sun.star.form.XSubmit"                                                , ,   -- #  500 unoil.jar
		"com.sun.star.form.XSubmitListener"                                        , ,   -- #  501 unoil.jar
		"com.sun.star.form.XUpdateBroadcaster"                                     , ,   -- #  502 unoil.jar
		"com.sun.star.form.XUpdateListener"                                        , ,   -- #  503 unoil.jar
		"com.sun.star.form.binding.XBindableValue"                                 , ,   -- #  504 unoil.jar
		"com.sun.star.form.binding.XListEntryListener"                             , ,   -- #  505 unoil.jar
		"com.sun.star.form.binding.XListEntrySink"                                 , ,   -- #  506 unoil.jar
		"com.sun.star.form.binding.XListEntrySource"                               , ,   -- #  507 unoil.jar
		"com.sun.star.form.binding.XValueBinding"                                  , ,   -- #  508 unoil.jar
		"com.sun.star.form.runtime.XFeatureInvalidation"                           , ,   -- #  509 unoil.jar
		"com.sun.star.form.runtime.XFormOperations"                                , ,   -- #  510 unoil.jar
		"com.sun.star.form.submission.XSubmission"                                 , ,   -- #  511 unoil.jar
		"com.sun.star.form.submission.XSubmissionSupplier"                         , ,   -- #  512 unoil.jar
		"com.sun.star.form.submission.XSubmissionVetoListener"                     , ,   -- #  513 unoil.jar
		"com.sun.star.form.validation.XFormComponentValidityListener"              , ,   -- #  514 unoil.jar
		"com.sun.star.form.validation.XValidatable"                                , ,   -- #  515 unoil.jar
		"com.sun.star.form.validation.XValidatableFormComponent"                   , ,   -- #  516 unoil.jar
		"com.sun.star.form.validation.XValidator"                                  , ,   -- #  517 unoil.jar
		"com.sun.star.form.validation.XValidityConstraintListener"                 , ,   -- #  518 unoil.jar
		"com.sun.star.frame.XBorderResizeListener"                                 , ,   -- #  519 unoil.jar
		"com.sun.star.frame.XBrowseHistoryRegistry"                                , ,   -- #  520 unoil.jar
		"com.sun.star.frame.XComponentLoader"                                      , ,   -- #  521 unoil.jar
		"com.sun.star.frame.XComponentRegistry"                                    , ,   -- #  522 unoil.jar
		"com.sun.star.frame.XConfigManager"                                        , ,   -- #  523 unoil.jar
		"com.sun.star.frame.XControlNotificationListener"                          , ,   -- #  524 unoil.jar
		"com.sun.star.frame.XController"                                           , ,   -- #  525 unoil.jar
		"com.sun.star.frame.XController2"                                          , ,   -- #  526 unoil.jar
		"com.sun.star.frame.XControllerBorder"                                     , ,   -- #  527 unoil.jar
		"com.sun.star.frame.XDesktop"                                              , ,   -- #  528 unoil.jar
		"com.sun.star.frame.XDesktopTask"                                          , ,   -- #  529 unoil.jar
		"com.sun.star.frame.XDispatch"                                             , ,   -- #  530 unoil.jar
		"com.sun.star.frame.XDispatchHelper"                                       , ,   -- #  531 unoil.jar
		"com.sun.star.frame.XDispatchInformationProvider"                          , ,   -- #  532 unoil.jar
		"com.sun.star.frame.XDispatchProvider"                                     , ,   -- #  533 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterception"                         , ,   -- #  534 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterceptor"                          , ,   -- #  535 unoil.jar
		"com.sun.star.frame.XDispatchRecorder"                                     , ,   -- #  536 unoil.jar
		"com.sun.star.frame.XDispatchRecorderSupplier"                             , ,   -- #  537 unoil.jar
		"com.sun.star.frame.XDispatchResultListener"                               , ,   -- #  538 unoil.jar
		"com.sun.star.frame.XDocumentTemplates"                                    , ,   -- #  539 unoil.jar
/* ---> [com.sun.star.frame.XExtendedFilterDetection]: class name [XExtendedFilterDetection] in use already! (com.sun.star.document.XExtendedFilterDetection) */ - 
		"com.sun.star.frame.XExtendedFilterDetection"                              , ,   -- #  540 unoil.jar
		"com.sun.star.frame.XFilterDetect"                                         , ,   -- #  541 unoil.jar
		"com.sun.star.frame.XFrame"                                                , ,   -- #  542 unoil.jar
		"com.sun.star.frame.XFrameActionListener"                                  , ,   -- #  543 unoil.jar
		"com.sun.star.frame.XFrameLoader"                                          , ,   -- #  544 unoil.jar
		"com.sun.star.frame.XFrameLoaderQuery"                                     , ,   -- #  545 unoil.jar
		"com.sun.star.frame.XFrameSetModel"                                        , ,   -- #  546 unoil.jar
		"com.sun.star.frame.XFrames"                                               , ,   -- #  547 unoil.jar
		"com.sun.star.frame.XFramesSupplier"                                       , ,   -- #  548 unoil.jar
		"com.sun.star.frame.XInplaceLayout"                                        , ,   -- #  549 unoil.jar
		"com.sun.star.frame.XInterceptorInfo"                                      , ,   -- #  550 unoil.jar
		"com.sun.star.frame.XLayoutManager"                                        , ,   -- #  551 unoil.jar
		"com.sun.star.frame.XLayoutManagerEventBroadcaster"                        , ,   -- #  552 unoil.jar
		"com.sun.star.frame.XLayoutManagerListener"                                , ,   -- #  553 unoil.jar
		"com.sun.star.frame.XLoadEventListener"                                    , ,   -- #  554 unoil.jar
/* ---> [com.sun.star.frame.XLoadable]: class name [XLoadable] in use already! (com.sun.star.form.XLoadable) */ - 
		"com.sun.star.frame.XLoadable"                                             , ,   -- #  555 unoil.jar
		"com.sun.star.frame.XMenuBarAcceptor"                                      , ,   -- #  556 unoil.jar
		"com.sun.star.frame.XMenuBarMergingAcceptor"                               , ,   -- #  557 unoil.jar
		"com.sun.star.frame.XModel"                                                , ,   -- #  558 unoil.jar
		"com.sun.star.frame.XModel2"                                               , ,   -- #  559 unoil.jar
		"com.sun.star.frame.XModule"                                               , ,   -- #  560 unoil.jar
		"com.sun.star.frame.XModuleManager"                                        , ,   -- #  561 unoil.jar
		"com.sun.star.frame.XNotifyingDispatch"                                    , ,   -- #  562 unoil.jar
		"com.sun.star.frame.XPopupMenuController"                                  , ,   -- #  563 unoil.jar
		"com.sun.star.frame.XRecordableDispatch"                                   , ,   -- #  564 unoil.jar
		"com.sun.star.frame.XSessionManagerClient"                                 , ,   -- #  565 unoil.jar
		"com.sun.star.frame.XSessionManagerListener"                               , ,   -- #  566 unoil.jar
		"com.sun.star.frame.XStatusListener"                                       , ,   -- #  567 unoil.jar
		"com.sun.star.frame.XStatusbarController"                                  , ,   -- #  568 unoil.jar
		"com.sun.star.frame.XStorable"                                             , ,   -- #  569 unoil.jar
		"com.sun.star.frame.XStorable2"                                            , ,   -- #  570 unoil.jar
		"com.sun.star.frame.XSubToolbarController"                                 , ,   -- #  571 unoil.jar
		"com.sun.star.frame.XSynchronousDispatch"                                  , ,   -- #  572 unoil.jar
		"com.sun.star.frame.XSynchronousFrameLoader"                               , ,   -- #  573 unoil.jar
		"com.sun.star.frame.XTask"                                                 , ,   -- #  574 unoil.jar
		"com.sun.star.frame.XTasksSupplier"                                        , ,   -- #  575 unoil.jar
		"com.sun.star.frame.XTerminateListener"                                    , ,   -- #  576 unoil.jar
		"com.sun.star.frame.XTerminateListener2"                                   , ,   -- #  577 unoil.jar
/* ---> [com.sun.star.frame.XTitle]: class name [XTitle] in use already! (com.sun.star.chart2.XTitle) */ - 
		"com.sun.star.frame.XTitle"                                                , ,   -- #  578 unoil.jar
		"com.sun.star.frame.XTitleChangeBroadcaster"                               , ,   -- #  579 unoil.jar
		"com.sun.star.frame.XTitleChangeListener"                                  , ,   -- #  580 unoil.jar
		"com.sun.star.frame.XToolbarController"                                    , ,   -- #  581 unoil.jar
		"com.sun.star.frame.XTransientDocumentsDocumentContentFactory"             , ,   -- #  582 unoil.jar
		"com.sun.star.frame.XUIControllerRegistration"                             , ,   -- #  583 unoil.jar
		"com.sun.star.frame.XUntitledNumbers"                                      , ,   -- #  584 unoil.jar
		"com.sun.star.frame.XUrlList"                                              , ,   -- #  585 unoil.jar
		"com.sun.star.frame.XWindowArranger"                                       , ,   -- #  586 unoil.jar
		"com.sun.star.gallery.XGalleryItem"                                        , ,   -- #  587 unoil.jar
		"com.sun.star.gallery.XGalleryTheme"                                       , ,   -- #  588 unoil.jar
		"com.sun.star.gallery.XGalleryThemeProvider"                               , ,   -- #  589 unoil.jar
		"com.sun.star.geometry.XMapping2D"                                         , ,   -- #  590 unoil.jar
		"com.sun.star.graphic.XGraphic"                                            , ,   -- #  591 unoil.jar
		"com.sun.star.graphic.XGraphicProvider"                                    , ,   -- #  592 unoil.jar
		"com.sun.star.graphic.XGraphicRenderer"                                    , ,   -- #  593 unoil.jar
		"com.sun.star.graphic.XGraphicTransformer"                                 , ,   -- #  594 unoil.jar
		"com.sun.star.i18n.XBreakIterator"                                         , ,   -- #  595 unoil.jar
		"com.sun.star.i18n.XCalendar"                                              , ,   -- #  596 unoil.jar
		"com.sun.star.i18n.XCharacterClassification"                               , ,   -- #  597 unoil.jar
		"com.sun.star.i18n.XCollator"                                              , ,   -- #  598 unoil.jar
		"com.sun.star.i18n.XExtendedCalendar"                                      , ,   -- #  599 unoil.jar
		"com.sun.star.i18n.XExtendedIndexEntrySupplier"                            , ,   -- #  600 unoil.jar
		"com.sun.star.i18n.XExtendedInputSequenceChecker"                          , ,   -- #  601 unoil.jar
		"com.sun.star.i18n.XExtendedTextConversion"                                , ,   -- #  602 unoil.jar
		"com.sun.star.i18n.XExtendedTransliteration"                               , ,   -- #  603 unoil.jar
		"com.sun.star.i18n.XForbiddenCharacters"                                   , ,   -- #  604 unoil.jar
		"com.sun.star.i18n.XIndexEntrySupplier"                                    , ,   -- #  605 unoil.jar
		"com.sun.star.i18n.XInputSequenceChecker"                                  , ,   -- #  606 unoil.jar
		"com.sun.star.i18n.XLocaleData"                                            , ,   -- #  607 unoil.jar
		"com.sun.star.i18n.XLocaleData2"                                           , ,   -- #  608 unoil.jar
		"com.sun.star.i18n.XNativeNumberSupplier"                                  , ,   -- #  609 unoil.jar
		"com.sun.star.i18n.XNumberFormatCode"                                      , ,   -- #  610 unoil.jar
		"com.sun.star.i18n.XOrdinalSuffix"                                         , ,   -- #  611 unoil.jar
		"com.sun.star.i18n.XScriptTypeDetector"                                    , ,   -- #  612 unoil.jar
		"com.sun.star.i18n.XTextConversion"                                        , ,   -- #  613 unoil.jar
		"com.sun.star.i18n.XTransliteration"                                       , ,   -- #  614 unoil.jar
		"com.sun.star.inspection.XHyperlinkControl"                                , ,   -- #  615 unoil.jar
		"com.sun.star.inspection.XNumericControl"                                  , ,   -- #  616 unoil.jar
		"com.sun.star.inspection.XObjectInspector"                                 , ,   -- #  617 unoil.jar
		"com.sun.star.inspection.XObjectInspectorModel"                            , ,   -- #  618 unoil.jar
		"com.sun.star.inspection.XObjectInspectorUI"                               , ,   -- #  619 unoil.jar
		"com.sun.star.inspection.XPropertyControl"                                 , ,   -- #  620 unoil.jar
		"com.sun.star.inspection.XPropertyControlContext"                          , ,   -- #  621 unoil.jar
		"com.sun.star.inspection.XPropertyControlFactory"                          , ,   -- #  622 unoil.jar
		"com.sun.star.inspection.XPropertyControlObserver"                         , ,   -- #  623 unoil.jar
		"com.sun.star.inspection.XPropertyHandler"                                 , ,   -- #  624 unoil.jar
		"com.sun.star.inspection.XStringListControl"                               , ,   -- #  625 unoil.jar
		"com.sun.star.inspection.XStringRepresentation"                            , ,   -- #  626 unoil.jar
		"com.sun.star.installation.XInstallationCheck"                             , ,   -- #  627 unoil.jar
		"com.sun.star.installation.XProtocolHandlerCheck"                          , ,   -- #  628 unoil.jar
		"com.sun.star.io.XActiveDataControl"                                       , ,   -- #  629 ridl.jar
		"com.sun.star.io.XActiveDataSink"                                          , ,   -- #  630 ridl.jar
		"com.sun.star.io.XActiveDataSource"                                        , ,   -- #  631 ridl.jar
		"com.sun.star.io.XActiveDataStreamer"                                      , ,   -- #  632 ridl.jar
		"com.sun.star.io.XAsyncOutputMonitor"                                      , ,   -- #  633 ridl.jar
		"com.sun.star.io.XConnectable"                                             , ,   -- #  634 ridl.jar
		"com.sun.star.io.XDataExporter"                                            , ,   -- #  635 ridl.jar
		"com.sun.star.io.XDataImporter"                                            , ,   -- #  636 ridl.jar
		"com.sun.star.io.XDataInputStream"                                         , ,   -- #  637 ridl.jar
		"com.sun.star.io.XDataOutputStream"                                        , ,   -- #  638 ridl.jar
		"com.sun.star.io.XDataTransferEventListener"                               , ,   -- #  639 ridl.jar
		"com.sun.star.io.XInputStream"                                             , ,   -- #  640 ridl.jar
		"com.sun.star.io.XInputStreamProvider"                                     , ,   -- #  641 ridl.jar
		"com.sun.star.io.XMarkableStream"                                          , ,   -- #  642 ridl.jar
		"com.sun.star.io.XObjectInputStream"                                       , ,   -- #  643 ridl.jar
		"com.sun.star.io.XObjectOutputStream"                                      , ,   -- #  644 ridl.jar
		"com.sun.star.io.XOutputStream"                                            , ,   -- #  645 ridl.jar
		"com.sun.star.io.XPersist"                                                 , ,   -- #  646 ridl.jar
		"com.sun.star.io.XPersistObject"                                           , ,   -- #  647 ridl.jar
		"com.sun.star.io.XSeekable"                                                , ,   -- #  648 ridl.jar
		"com.sun.star.io.XSeekableInputStream"                                     , ,   -- #  649 ridl.jar
		"com.sun.star.io.XSequenceOutputStream"                                    , ,   -- #  650 ridl.jar
		"com.sun.star.io.XStream"                                                  , ,   -- #  651 ridl.jar
		"com.sun.star.io.XStreamListener"                                          , ,   -- #  652 ridl.jar
		"com.sun.star.io.XTempFile"                                                , ,   -- #  653 ridl.jar
		"com.sun.star.io.XTextInputStream"                                         , ,   -- #  654 ridl.jar
		"com.sun.star.io.XTextOutputStream"                                        , ,   -- #  655 ridl.jar
		"com.sun.star.io.XTruncate"                                                , ,   -- #  656 ridl.jar
		"com.sun.star.io.XXMLExtractor"                                            , ,   -- #  657 ridl.jar
		"com.sun.star.java.XJavaThreadRegister_11"                                 , ,   -- #  658 ridl.jar
		"com.sun.star.java.XJavaVM"                                                , ,   -- #  659 ridl.jar
		"com.sun.star.lang.XComponent"                                             , ,   -- #  660 ridl.jar
		"com.sun.star.lang.XConnectionPoint"                                       , ,   -- #  661 ridl.jar
		"com.sun.star.lang.XConnectionPointContainer"                              , ,   -- #  662 ridl.jar
/* ---> [com.sun.star.lang.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.lang.XEventListener"                                         , ,   -- #  663 ridl.jar
		"com.sun.star.lang.XInitialization"                                        , ,   -- #  664 ridl.jar
		"com.sun.star.lang.XLocalizable"                                           , ,   -- #  665 ridl.jar
		"com.sun.star.lang.XMain"                                                  , ,   -- #  666 ridl.jar
		"com.sun.star.lang.XMultiComponentFactory"                                 , ,   -- #  667 ridl.jar
		"com.sun.star.lang.XMultiServiceFactory"                                   , ,   -- #  668 ridl.jar
		"com.sun.star.lang.XServiceDisplayName"                                    , ,   -- #  669 ridl.jar
		"com.sun.star.lang.XServiceInfo"                                           , ,   -- #  670 ridl.jar
		"com.sun.star.lang.XServiceName"                                           , ,   -- #  671 ridl.jar
		"com.sun.star.lang.XSingleComponentFactory"                                , ,   -- #  672 ridl.jar
		"com.sun.star.lang.XSingleServiceFactory"                                  , ,   -- #  673 ridl.jar
		"com.sun.star.lang.XTypeProvider"                                          , ,   -- #  674 ridl.jar
		"com.sun.star.lang.XUnoTunnel"                                             , ,   -- #  675 ridl.jar
		"com.sun.star.lib.uno.adapter.XInputStreamToInputStreamAdapter"            , ,   -- #  676 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToByteArrayAdapter"             , ,   -- #  677 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToOutputStreamAdapter"          , ,   -- #  678 juh.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionInputStream_Adapter"  , ,   -- #  679 jurt.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionOutputStream_Adapter" , ,   -- #  680 jurt.jar
		"com.sun.star.linguistic2.XAvailableLocales"                               , ,   -- #  681 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionary"                           , ,   -- #  682 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionaryList"                       , ,   -- #  683 unoil.jar
		"com.sun.star.linguistic2.XConversionPropertyType"                         , ,   -- #  684 unoil.jar
		"com.sun.star.linguistic2.XDictionary"                                     , ,   -- #  685 unoil.jar
		"com.sun.star.linguistic2.XDictionary1"                                    , ,   -- #  686 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEntry"                                , ,   -- #  687 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEventListener"                        , ,   -- #  688 unoil.jar
		"com.sun.star.linguistic2.XDictionaryList"                                 , ,   -- #  689 unoil.jar
		"com.sun.star.linguistic2.XDictionaryListEventListener"                    , ,   -- #  690 unoil.jar
		"com.sun.star.linguistic2.XGrammarChecker"                                 , ,   -- #  691 unoil.jar
		"com.sun.star.linguistic2.XGrammarCheckerListener"                         , ,   -- #  692 unoil.jar
		"com.sun.star.linguistic2.XGrammarCheckingIterator"                        , ,   -- #  693 unoil.jar
		"com.sun.star.linguistic2.XGrammarCheckingResultBroadcaster"               , ,   -- #  694 unoil.jar
		"com.sun.star.linguistic2.XGrammarCheckingResultListener"                  , ,   -- #  695 unoil.jar
		"com.sun.star.linguistic2.XHyphenatedWord"                                 , ,   -- #  696 unoil.jar
		"com.sun.star.linguistic2.XHyphenator"                                     , ,   -- #  697 unoil.jar
		"com.sun.star.linguistic2.XLanguageGuessing"                               , ,   -- #  698 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventBroadcaster"                   , ,   -- #  699 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventListener"                      , ,   -- #  700 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceManager"                            , ,   -- #  701 unoil.jar
		"com.sun.star.linguistic2.XMeaning"                                        , ,   -- #  702 unoil.jar
		"com.sun.star.linguistic2.XPossibleHyphens"                                , ,   -- #  703 unoil.jar
		"com.sun.star.linguistic2.XSearchableDictionaryList"                       , ,   -- #  704 unoil.jar
		"com.sun.star.linguistic2.XSpellAlternatives"                              , ,   -- #  705 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker"                                   , ,   -- #  706 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker1"                                  , ,   -- #  707 unoil.jar
		"com.sun.star.linguistic2.XSupportedLanguages"                             , ,   -- #  708 unoil.jar
		"com.sun.star.linguistic2.XSupportedLocales"                               , ,   -- #  709 unoil.jar
		"com.sun.star.linguistic2.XThesaurus"                                      , ,   -- #  710 unoil.jar
		"com.sun.star.loader.XImplementationLoader"                                , ,   -- #  711 ridl.jar
		"com.sun.star.logging.XConsoleHandler"                                     , ,   -- #  712 unoil.jar
		"com.sun.star.logging.XLogFormatter"                                       , ,   -- #  713 unoil.jar
		"com.sun.star.logging.XLogHandler"                                         , ,   -- #  714 unoil.jar
		"com.sun.star.logging.XLogger"                                             , ,   -- #  715 unoil.jar
		"com.sun.star.logging.XLoggerPool"                                         , ,   -- #  716 unoil.jar
		"com.sun.star.mail.XAuthenticator"                                         , ,   -- #  717 unoil.jar
		"com.sun.star.mail.XConnectionListener"                                    , ,   -- #  718 unoil.jar
		"com.sun.star.mail.XMailMessage"                                           , ,   -- #  719 unoil.jar
		"com.sun.star.mail.XMailService"                                           , ,   -- #  720 unoil.jar
		"com.sun.star.mail.XMailServiceProvider"                                   , ,   -- #  721 unoil.jar
		"com.sun.star.mail.XSmtpService"                                           , ,   -- #  722 unoil.jar
		"com.sun.star.media.XFrameGrabber"                                         , ,   -- #  723 unoil.jar
		"com.sun.star.media.XManager"                                              , ,   -- #  724 unoil.jar
		"com.sun.star.media.XPlayer"                                               , ,   -- #  725 unoil.jar
		"com.sun.star.media.XPlayerWindow"                                         , ,   -- #  726 unoil.jar
		"com.sun.star.mozilla.XCloseSessionListener"                               , ,   -- #  727 unoil.jar
		"com.sun.star.mozilla.XCodeProxy"                                          , ,   -- #  728 unoil.jar
		"com.sun.star.mozilla.XMenuProxy"                                          , ,   -- #  729 unoil.jar
		"com.sun.star.mozilla.XMenuProxyListener"                                  , ,   -- #  730 unoil.jar
		"com.sun.star.mozilla.XMozillaBootstrap"                                   , ,   -- #  731 unoil.jar
		"com.sun.star.mozilla.XPluginInstance"                                     , ,   -- #  732 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceNotifySink"                           , ,   -- #  733 unoil.jar
		"com.sun.star.mozilla.XPluginInstancePeer"                                 , ,   -- #  734 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceSyncPeer"                             , ,   -- #  735 unoil.jar
		"com.sun.star.mozilla.XPluginWindowPeer"                                   , ,   -- #  736 unoil.jar
		"com.sun.star.mozilla.XProfileDiscover"                                    , ,   -- #  737 unoil.jar
		"com.sun.star.mozilla.XProfileManager"                                     , ,   -- #  738 unoil.jar
		"com.sun.star.mozilla.XProxyRunner"                                        , ,   -- #  739 unoil.jar
		"com.sun.star.mozilla.XRemoteServiceManagerProvider"                       , ,   -- #  740 unoil.jar
		"com.sun.star.packages.XDataSinkEncrSupport"                               , ,   -- #  741 unoil.jar
		"com.sun.star.packages.manifest.XManifestReader"                           , ,   -- #  742 unoil.jar
		"com.sun.star.packages.manifest.XManifestWriter"                           , ,   -- #  743 unoil.jar
		"com.sun.star.packages.zip.XZipFileAccess"                                 , ,   -- #  744 unoil.jar
		"com.sun.star.plugin.XPlugin"                                              , ,   -- #  745 unoil.jar
		"com.sun.star.plugin.XPluginContext"                                       , ,   -- #  746 unoil.jar
		"com.sun.star.plugin.XPluginManager"                                       , ,   -- #  747 unoil.jar
		"com.sun.star.presentation.XCustomPresentationSupplier"                    , ,   -- #  748 unoil.jar
		"com.sun.star.presentation.XHandoutMasterSupplier"                         , ,   -- #  749 unoil.jar
		"com.sun.star.presentation.XPresentation"                                  , ,   -- #  750 unoil.jar
		"com.sun.star.presentation.XPresentation2"                                 , ,   -- #  751 unoil.jar
		"com.sun.star.presentation.XPresentationPage"                              , ,   -- #  752 unoil.jar
		"com.sun.star.presentation.XPresentationSupplier"                          , ,   -- #  753 unoil.jar
		"com.sun.star.presentation.XShapeEventListener"                            , ,   -- #  754 unoil.jar
		"com.sun.star.presentation.XSlideShow"                                     , ,   -- #  755 unoil.jar
		"com.sun.star.presentation.XSlideShowController"                           , ,   -- #  756 unoil.jar
		"com.sun.star.presentation.XSlideShowListener"                             , ,   -- #  757 unoil.jar
		"com.sun.star.presentation.XSlideShowView"                                 , ,   -- #  758 unoil.jar
		"com.sun.star.presentation.XTransition"                                    , ,   -- #  759 unoil.jar
		"com.sun.star.presentation.XTransitionFactory"                             , ,   -- #  760 unoil.jar
		"com.sun.star.rdf.XBlankNode"                                              , ,   -- #  761 unoil.jar
		"com.sun.star.rdf.XDocumentMetadataAccess"                                 , ,   -- #  762 unoil.jar
		"com.sun.star.rdf.XDocumentRepository"                                     , ,   -- #  763 unoil.jar
		"com.sun.star.rdf.XLiteral"                                                , ,   -- #  764 unoil.jar
		"com.sun.star.rdf.XMetadatable"                                            , ,   -- #  765 unoil.jar
		"com.sun.star.rdf.XNamedGraph"                                             , ,   -- #  766 unoil.jar
		"com.sun.star.rdf.XNode"                                                   , ,   -- #  767 unoil.jar
		"com.sun.star.rdf.XQuerySelectResult"                                      , ,   -- #  768 unoil.jar
		"com.sun.star.rdf.XReifiedStatement"                                       , ,   -- #  769 unoil.jar
		"com.sun.star.rdf.XRepository"                                             , ,   -- #  770 unoil.jar
		"com.sun.star.rdf.XRepositorySupplier"                                     , ,   -- #  771 unoil.jar
/* ---> [com.sun.star.rdf.XResource]: class name [XResource] in use already! (com.sun.star.drawing.framework.XResource) */ - 
		"com.sun.star.rdf.XResource"                                               , ,   -- #  772 unoil.jar
		"com.sun.star.rdf.XURI"                                                    , ,   -- #  773 unoil.jar
		"com.sun.star.reflection.XArrayTypeDescription"                            , ,   -- #  774 ridl.jar
		"com.sun.star.reflection.XCompoundTypeDescription"                         , ,   -- #  775 ridl.jar
		"com.sun.star.reflection.XConstantTypeDescription"                         , ,   -- #  776 ridl.jar
		"com.sun.star.reflection.XConstantsTypeDescription"                        , ,   -- #  777 ridl.jar
		"com.sun.star.reflection.XEnumTypeDescription"                             , ,   -- #  778 ridl.jar
		"com.sun.star.reflection.XIdlArray"                                        , ,   -- #  779 ridl.jar
		"com.sun.star.reflection.XIdlClass"                                        , ,   -- #  780 ridl.jar
		"com.sun.star.reflection.XIdlClassProvider"                                , ,   -- #  781 ridl.jar
		"com.sun.star.reflection.XIdlField"                                        , ,   -- #  782 ridl.jar
		"com.sun.star.reflection.XIdlField2"                                       , ,   -- #  783 ridl.jar
		"com.sun.star.reflection.XIdlMember"                                       , ,   -- #  784 ridl.jar
		"com.sun.star.reflection.XIdlMethod"                                       , ,   -- #  785 ridl.jar
		"com.sun.star.reflection.XIdlReflection"                                   , ,   -- #  786 ridl.jar
		"com.sun.star.reflection.XIndirectTypeDescription"                         , ,   -- #  787 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription"               , ,   -- #  788 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription2"              , ,   -- #  789 ridl.jar
		"com.sun.star.reflection.XInterfaceMemberTypeDescription"                  , ,   -- #  790 ridl.jar
		"com.sun.star.reflection.XInterfaceMethodTypeDescription"                  , ,   -- #  791 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription"                        , ,   -- #  792 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription2"                       , ,   -- #  793 ridl.jar
		"com.sun.star.reflection.XMethodParameter"                                 , ,   -- #  794 ridl.jar
		"com.sun.star.reflection.XModuleTypeDescription"                           , ,   -- #  795 ridl.jar
		"com.sun.star.reflection.XParameter"                                       , ,   -- #  796 ridl.jar
		"com.sun.star.reflection.XPropertyTypeDescription"                         , ,   -- #  797 ridl.jar
		"com.sun.star.reflection.XProxyFactory"                                    , ,   -- #  798 ridl.jar
		"com.sun.star.reflection.XPublished"                                       , ,   -- #  799 ridl.jar
		"com.sun.star.reflection.XServiceConstructorDescription"                   , ,   -- #  800 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription"                          , ,   -- #  801 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription2"                         , ,   -- #  802 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription"                        , ,   -- #  803 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription2"                       , ,   -- #  804 ridl.jar
		"com.sun.star.reflection.XStructTypeDescription"                           , ,   -- #  805 ridl.jar
		"com.sun.star.reflection.XTypeDescription"                                 , ,   -- #  806 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumeration"                      , ,   -- #  807 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumerationAccess"                , ,   -- #  808 ridl.jar
		"com.sun.star.reflection.XUnionTypeDescription"                            , ,   -- #  809 ridl.jar
		"com.sun.star.registry.XImplementationRegistration"                        , ,   -- #  810 ridl.jar
		"com.sun.star.registry.XImplementationRegistration2"                       , ,   -- #  811 ridl.jar
		"com.sun.star.registry.XRegistryKey"                                       , ,   -- #  812 ridl.jar
		"com.sun.star.registry.XSimpleRegistry"                                    , ,   -- #  813 ridl.jar
		"com.sun.star.rendering.XAnimatedSprite"                                   , ,   -- #  814 unoil.jar
		"com.sun.star.rendering.XAnimation"                                        , ,   -- #  815 unoil.jar
		"com.sun.star.rendering.XBezierPolyPolygon2D"                              , ,   -- #  816 unoil.jar
/* ---> [com.sun.star.rendering.XBitmap]: class name [XBitmap] in use already! (com.sun.star.awt.XBitmap) */ - 
		"com.sun.star.rendering.XBitmap"                                           , ,   -- #  817 unoil.jar
		"com.sun.star.rendering.XBitmapCanvas"                                     , ,   -- #  818 unoil.jar
		"com.sun.star.rendering.XBitmapPalette"                                    , ,   -- #  819 unoil.jar
		"com.sun.star.rendering.XBufferController"                                 , ,   -- #  820 unoil.jar
		"com.sun.star.rendering.XCachedPrimitive"                                  , ,   -- #  821 unoil.jar
		"com.sun.star.rendering.XCanvas"                                           , ,   -- #  822 unoil.jar
		"com.sun.star.rendering.XCanvasFont"                                       , ,   -- #  823 unoil.jar
		"com.sun.star.rendering.XColorSpace"                                       , ,   -- #  824 unoil.jar
		"com.sun.star.rendering.XCustomSprite"                                     , ,   -- #  825 unoil.jar
		"com.sun.star.rendering.XGraphicDevice"                                    , ,   -- #  826 unoil.jar
		"com.sun.star.rendering.XHalfFloatBitmap"                                  , ,   -- #  827 unoil.jar
		"com.sun.star.rendering.XHalfFloatReadOnlyBitmap"                          , ,   -- #  828 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleBitmap"                                 , ,   -- #  829 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleReadOnlyBitmap"                         , ,   -- #  830 unoil.jar
		"com.sun.star.rendering.XIeeeFloatBitmap"                                  , ,   -- #  831 unoil.jar
		"com.sun.star.rendering.XIeeeFloatReadOnlyBitmap"                          , ,   -- #  832 unoil.jar
		"com.sun.star.rendering.XIntegerBitmap"                                    , ,   -- #  833 unoil.jar
		"com.sun.star.rendering.XIntegerBitmapColorSpace"                          , ,   -- #  834 unoil.jar
		"com.sun.star.rendering.XIntegerReadOnlyBitmap"                            , ,   -- #  835 unoil.jar
		"com.sun.star.rendering.XLinePolyPolygon2D"                                , ,   -- #  836 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2D"                          , ,   -- #  837 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2DFactory"                   , ,   -- #  838 unoil.jar
		"com.sun.star.rendering.XPolyPolygon2D"                                    , ,   -- #  839 unoil.jar
		"com.sun.star.rendering.XSimpleCanvas"                                     , ,   -- #  840 unoil.jar
		"com.sun.star.rendering.XSprite"                                           , ,   -- #  841 unoil.jar
		"com.sun.star.rendering.XSpriteCanvas"                                     , ,   -- #  842 unoil.jar
		"com.sun.star.rendering.XTextLayout"                                       , ,   -- #  843 unoil.jar
		"com.sun.star.rendering.XVolatileBitmap"                                   , ,   -- #  844 unoil.jar
		"com.sun.star.report.XFixedLine"                                           , ,   -- #  845 unoil.jar
/* ---> [com.sun.star.report.XFixedText]: class name [XFixedText] in use already! (com.sun.star.awt.XFixedText) */ - 
		"com.sun.star.report.XFixedText"                                           , ,   -- #  846 unoil.jar
		"com.sun.star.report.XFormatCondition"                                     , ,   -- #  847 unoil.jar
		"com.sun.star.report.XFormattedField"                                      , ,   -- #  848 unoil.jar
		"com.sun.star.report.XFunction"                                            , ,   -- #  849 unoil.jar
		"com.sun.star.report.XFunctions"                                           , ,   -- #  850 unoil.jar
		"com.sun.star.report.XFunctionsSupplier"                                   , ,   -- #  851 unoil.jar
		"com.sun.star.report.XGroup"                                               , ,   -- #  852 unoil.jar
		"com.sun.star.report.XGroups"                                              , ,   -- #  853 unoil.jar
		"com.sun.star.report.XImageControl"                                        , ,   -- #  854 unoil.jar
		"com.sun.star.report.XReportComponent"                                     , ,   -- #  855 unoil.jar
		"com.sun.star.report.XReportControlFormat"                                 , ,   -- #  856 unoil.jar
		"com.sun.star.report.XReportControlModel"                                  , ,   -- #  857 unoil.jar
		"com.sun.star.report.XReportDefinition"                                    , ,   -- #  858 unoil.jar
		"com.sun.star.report.XReportEngine"                                        , ,   -- #  859 unoil.jar
		"com.sun.star.report.XSection"                                             , ,   -- #  860 unoil.jar
/* ---> [com.sun.star.report.XShape]: class name [XShape] in use already! (com.sun.star.drawing.XShape) */ - 
		"com.sun.star.report.XShape"                                               , ,   -- #  861 unoil.jar
		"com.sun.star.resource.XLocale"                                            , ,   -- #  862 unoil.jar
		"com.sun.star.resource.XResourceBundle"                                    , ,   -- #  863 unoil.jar
		"com.sun.star.resource.XResourceBundleLoader"                              , ,   -- #  864 unoil.jar
		"com.sun.star.resource.XStringResourceManager"                             , ,   -- #  865 unoil.jar
		"com.sun.star.resource.XStringResourcePersistence"                         , ,   -- #  866 unoil.jar
		"com.sun.star.resource.XStringResourceResolver"                            , ,   -- #  867 unoil.jar
		"com.sun.star.resource.XStringResourceSupplier"                            , ,   -- #  868 unoil.jar
		"com.sun.star.resource.XStringResourceWithLocation"                        , ,   -- #  869 unoil.jar
		"com.sun.star.resource.XStringResourceWithStorage"                         , ,   -- #  870 unoil.jar
		"com.sun.star.scanner.XScannerManager"                                     , ,   -- #  871 unoil.jar
		"com.sun.star.script.XAllListener"                                         , ,   -- #  872 ridl.jar
		"com.sun.star.script.XAllListenerAdapterService"                           , ,   -- #  873 ridl.jar
		"com.sun.star.script.XDebugging"                                           , ,   -- #  874 ridl.jar
		"com.sun.star.script.XDefaultMethod"                                       , ,   -- #  875 ridl.jar
		"com.sun.star.script.XDefaultProperty"                                     , ,   -- #  876 ridl.jar
		"com.sun.star.script.XEngine"                                              , ,   -- #  877 ridl.jar
		"com.sun.star.script.XEngineListener"                                      , ,   -- #  878 ridl.jar
		"com.sun.star.script.XEventAttacher"                                       , ,   -- #  879 ridl.jar
		"com.sun.star.script.XEventAttacherManager"                                , ,   -- #  880 ridl.jar
		"com.sun.star.script.XInvocation"                                          , ,   -- #  881 ridl.jar
		"com.sun.star.script.XInvocation2"                                         , ,   -- #  882 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory"                            , ,   -- #  883 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory2"                           , ,   -- #  884 ridl.jar
		"com.sun.star.script.XLibraryAccess"                                       , ,   -- #  885 ridl.jar
		"com.sun.star.script.XLibraryContainer"                                    , ,   -- #  886 unoil.jar
		"com.sun.star.script.XLibraryContainer2"                                   , ,   -- #  887 unoil.jar
		"com.sun.star.script.XLibraryContainerExport"                              , ,   -- #  888 unoil.jar
		"com.sun.star.script.XLibraryContainerPassword"                            , ,   -- #  889 unoil.jar
		"com.sun.star.script.XPersistentLibraryContainer"                          , ,   -- #  890 unoil.jar
		"com.sun.star.script.XScriptEventsAttacher"                                , ,   -- #  891 ridl.jar
		"com.sun.star.script.XScriptEventsSupplier"                                , ,   -- #  892 ridl.jar
		"com.sun.star.script.XScriptListener"                                      , ,   -- #  893 ridl.jar
		"com.sun.star.script.XStarBasicAccess"                                     , ,   -- #  894 ridl.jar
		"com.sun.star.script.XStarBasicDialogInfo"                                 , ,   -- #  895 ridl.jar
		"com.sun.star.script.XStarBasicLibraryInfo"                                , ,   -- #  896 ridl.jar
		"com.sun.star.script.XStarBasicModuleInfo"                                 , ,   -- #  897 ridl.jar
		"com.sun.star.script.XStorageBasedLibraryContainer"                        , ,   -- #  898 unoil.jar
		"com.sun.star.script.XTypeConverter"                                       , ,   -- #  899 ridl.jar
		"com.sun.star.script.browse.XBrowseNode"                                   , ,   -- #  900 unoil.jar
		"com.sun.star.script.browse.XBrowseNodeFactory"                            , ,   -- #  901 unoil.jar
		"com.sun.star.script.provider.XScript"                                     , ,   -- #  902 unoil.jar
		"com.sun.star.script.provider.XScriptContext"                              , ,   -- #  903 unoil.jar
		"com.sun.star.script.provider.XScriptProvider"                             , ,   -- #  904 unoil.jar
		"com.sun.star.script.provider.XScriptProviderFactory"                      , ,   -- #  905 unoil.jar
		"com.sun.star.script.provider.XScriptProviderSupplier"                     , ,   -- #  906 unoil.jar
		"com.sun.star.script.provider.XScriptURIHelper"                            , ,   -- #  907 unoil.jar
		"com.sun.star.sdb.XAlterQuery"                                             , ,   -- #  908 unoil.jar
		"com.sun.star.sdb.XBookmarksSupplier"                                      , ,   -- #  909 unoil.jar
		"com.sun.star.sdb.XColumn"                                                 , ,   -- #  910 unoil.jar
		"com.sun.star.sdb.XColumnUpdate"                                           , ,   -- #  911 unoil.jar
		"com.sun.star.sdb.XCommandPreparation"                                     , ,   -- #  912 unoil.jar
		"com.sun.star.sdb.XCompletedConnection"                                    , ,   -- #  913 unoil.jar
		"com.sun.star.sdb.XCompletedExecution"                                     , ,   -- #  914 unoil.jar
		"com.sun.star.sdb.XDataAccessDescriptorFactory"                            , ,   -- #  915 unoil.jar
		"com.sun.star.sdb.XDatabaseAccess"                                         , ,   -- #  916 unoil.jar
		"com.sun.star.sdb.XDatabaseAccessListener"                                 , ,   -- #  917 unoil.jar
		"com.sun.star.sdb.XDatabaseEnvironment"                                    , ,   -- #  918 unoil.jar
		"com.sun.star.sdb.XDocumentDataSource"                                     , ,   -- #  919 unoil.jar
		"com.sun.star.sdb.XFormDocumentsSupplier"                                  , ,   -- #  920 unoil.jar
		"com.sun.star.sdb.XInteractionDocumentSave"                                , ,   -- #  921 unoil.jar
		"com.sun.star.sdb.XInteractionSupplyParameters"                            , ,   -- #  922 unoil.jar
		"com.sun.star.sdb.XOfficeDatabaseDocument"                                 , ,   -- #  923 unoil.jar
		"com.sun.star.sdb.XParametersSupplier"                                     , ,   -- #  924 unoil.jar
		"com.sun.star.sdb.XQueriesSupplier"                                        , ,   -- #  925 unoil.jar
		"com.sun.star.sdb.XQueryDefinitionsSupplier"                               , ,   -- #  926 unoil.jar
		"com.sun.star.sdb.XReportDocumentsSupplier"                                , ,   -- #  927 unoil.jar
		"com.sun.star.sdb.XResultSetAccess"                                        , ,   -- #  928 unoil.jar
		"com.sun.star.sdb.XRowSetApproveBroadcaster"                               , ,   -- #  929 unoil.jar
		"com.sun.star.sdb.XRowSetApproveListener"                                  , ,   -- #  930 unoil.jar
		"com.sun.star.sdb.XRowSetSupplier"                                         , ,   -- #  931 unoil.jar
		"com.sun.star.sdb.XSQLErrorBroadcaster"                                    , ,   -- #  932 unoil.jar
		"com.sun.star.sdb.XSQLErrorListener"                                       , ,   -- #  933 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposer"                                       , ,   -- #  934 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposerFactory"                                , ,   -- #  935 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryAnalyzer"                              , ,   -- #  936 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryComposer"                              , ,   -- #  937 unoil.jar
		"com.sun.star.sdb.application.XCopyTableListener"                          , ,   -- #  938 unoil.jar
		"com.sun.star.sdb.application.XCopyTableWizard"                            , ,   -- #  939 unoil.jar
		"com.sun.star.sdb.application.XDatabaseDocumentUI"                         , ,   -- #  940 unoil.jar
		"com.sun.star.sdb.application.XTableUIProvider"                            , ,   -- #  941 unoil.jar
		"com.sun.star.sdb.tools.XConnectionTools"                                  , ,   -- #  942 unoil.jar
		"com.sun.star.sdb.tools.XDataSourceMetaData"                               , ,   -- #  943 unoil.jar
		"com.sun.star.sdb.tools.XObjectNames"                                      , ,   -- #  944 unoil.jar
		"com.sun.star.sdb.tools.XTableName"                                        , ,   -- #  945 unoil.jar
		"com.sun.star.sdbc.XArray"                                                 , ,   -- #  946 unoil.jar
		"com.sun.star.sdbc.XBatchExecution"                                        , ,   -- #  947 unoil.jar
		"com.sun.star.sdbc.XBlob"                                                  , ,   -- #  948 unoil.jar
		"com.sun.star.sdbc.XClob"                                                  , ,   -- #  949 unoil.jar
		"com.sun.star.sdbc.XCloseable"                                             , ,   -- #  950 unoil.jar
		"com.sun.star.sdbc.XColumnLocate"                                          , ,   -- #  951 unoil.jar
/* ---> [com.sun.star.sdbc.XConnection]: class name [XConnection] in use already! (com.sun.star.connection.XConnection) */ - 
		"com.sun.star.sdbc.XConnection"                                            , ,   -- #  952 unoil.jar
/* ---> [com.sun.star.sdbc.XDataSource]: class name [XDataSource] in use already! (com.sun.star.chart2.data.XDataSource) */ - 
		"com.sun.star.sdbc.XDataSource"                                            , ,   -- #  953 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData"                                      , ,   -- #  954 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData2"                                     , ,   -- #  955 unoil.jar
		"com.sun.star.sdbc.XDriver"                                                , ,   -- #  956 unoil.jar
		"com.sun.star.sdbc.XDriverAccess"                                          , ,   -- #  957 unoil.jar
		"com.sun.star.sdbc.XDriverManager"                                         , ,   -- #  958 unoil.jar
		"com.sun.star.sdbc.XGeneratedResultSet"                                    , ,   -- #  959 unoil.jar
		"com.sun.star.sdbc.XIsolatedConnection"                                    , ,   -- #  960 unoil.jar
		"com.sun.star.sdbc.XMultipleResults"                                       , ,   -- #  961 unoil.jar
		"com.sun.star.sdbc.XOutParameters"                                         , ,   -- #  962 unoil.jar
		"com.sun.star.sdbc.XParameters"                                            , ,   -- #  963 unoil.jar
		"com.sun.star.sdbc.XPooledConnection"                                      , ,   -- #  964 unoil.jar
		"com.sun.star.sdbc.XPreparedBatchExecution"                                , ,   -- #  965 unoil.jar
		"com.sun.star.sdbc.XPreparedStatement"                                     , ,   -- #  966 unoil.jar
		"com.sun.star.sdbc.XRef"                                                   , ,   -- #  967 unoil.jar
		"com.sun.star.sdbc.XResultSet"                                             , ,   -- #  968 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaData"                                     , ,   -- #  969 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaDataSupplier"                             , ,   -- #  970 unoil.jar
		"com.sun.star.sdbc.XResultSetUpdate"                                       , ,   -- #  971 unoil.jar
		"com.sun.star.sdbc.XRow"                                                   , ,   -- #  972 unoil.jar
		"com.sun.star.sdbc.XRowSet"                                                , ,   -- #  973 unoil.jar
		"com.sun.star.sdbc.XRowSetListener"                                        , ,   -- #  974 unoil.jar
		"com.sun.star.sdbc.XRowUpdate"                                             , ,   -- #  975 unoil.jar
		"com.sun.star.sdbc.XSQLData"                                               , ,   -- #  976 unoil.jar
		"com.sun.star.sdbc.XSQLInput"                                              , ,   -- #  977 unoil.jar
		"com.sun.star.sdbc.XSQLOutput"                                             , ,   -- #  978 unoil.jar
		"com.sun.star.sdbc.XStatement"                                             , ,   -- #  979 unoil.jar
		"com.sun.star.sdbc.XStruct"                                                , ,   -- #  980 unoil.jar
		"com.sun.star.sdbc.XWarningsSupplier"                                      , ,   -- #  981 unoil.jar
		"com.sun.star.sdbcx.XAlterTable"                                           , ,   -- #  982 unoil.jar
		"com.sun.star.sdbcx.XAlterView"                                            , ,   -- #  983 unoil.jar
		"com.sun.star.sdbcx.XAppend"                                               , ,   -- #  984 unoil.jar
		"com.sun.star.sdbcx.XAuthorizable"                                         , ,   -- #  985 unoil.jar
		"com.sun.star.sdbcx.XColumnsSupplier"                                      , ,   -- #  986 unoil.jar
		"com.sun.star.sdbcx.XCreateCatalog"                                        , ,   -- #  987 unoil.jar
		"com.sun.star.sdbcx.XDataDefinitionSupplier"                               , ,   -- #  988 unoil.jar
		"com.sun.star.sdbcx.XDataDescriptorFactory"                                , ,   -- #  989 unoil.jar
		"com.sun.star.sdbcx.XDeleteRows"                                           , ,   -- #  990 unoil.jar
		"com.sun.star.sdbcx.XDrop"                                                 , ,   -- #  991 unoil.jar
		"com.sun.star.sdbcx.XDropCatalog"                                          , ,   -- #  992 unoil.jar
		"com.sun.star.sdbcx.XGroupsSupplier"                                       , ,   -- #  993 unoil.jar
		"com.sun.star.sdbcx.XIndexesSupplier"                                      , ,   -- #  994 unoil.jar
		"com.sun.star.sdbcx.XKeysSupplier"                                         , ,   -- #  995 unoil.jar
		"com.sun.star.sdbcx.XRename"                                               , ,   -- #  996 unoil.jar
		"com.sun.star.sdbcx.XRowLocate"                                            , ,   -- #  997 unoil.jar
		"com.sun.star.sdbcx.XTablesSupplier"                                       , ,   -- #  998 unoil.jar
		"com.sun.star.sdbcx.XUser"                                                 , ,   -- #  999 unoil.jar
		"com.sun.star.sdbcx.XUsersSupplier"                                        , ,   -- # 1000 unoil.jar
		"com.sun.star.sdbcx.XViewsSupplier"                                        , ,   -- # 1001 unoil.jar
		"com.sun.star.security.XAccessControlContext"                              , ,   -- # 1002 ridl.jar
		"com.sun.star.security.XAccessController"                                  , ,   -- # 1003 ridl.jar
		"com.sun.star.security.XAction"                                            , ,   -- # 1004 ridl.jar
		"com.sun.star.security.XCertificate"                                       , ,   -- # 1005 unoil.jar
		"com.sun.star.security.XCertificateContainer"                              , ,   -- # 1006 unoil.jar
		"com.sun.star.security.XCertificateExtension"                              , ,   -- # 1007 unoil.jar
		"com.sun.star.security.XDocumentDigitalSignatures"                         , ,   -- # 1008 unoil.jar
		"com.sun.star.security.XPolicy"                                            , ,   -- # 1009 ridl.jar
		"com.sun.star.setup.XSetup"                                                , ,   -- # 1010 unoil.jar
		"com.sun.star.sheet.XActivationBroadcaster"                                , ,   -- # 1011 unoil.jar
		"com.sun.star.sheet.XActivationEventListener"                              , ,   -- # 1012 unoil.jar
		"com.sun.star.sheet.XAddIn"                                                , ,   -- # 1013 unoil.jar
		"com.sun.star.sheet.XAreaLink"                                             , ,   -- # 1014 unoil.jar
		"com.sun.star.sheet.XAreaLinks"                                            , ,   -- # 1015 unoil.jar
		"com.sun.star.sheet.XArrayFormulaRange"                                    , ,   -- # 1016 unoil.jar
		"com.sun.star.sheet.XArrayFormulaTokens"                                   , ,   -- # 1017 unoil.jar
		"com.sun.star.sheet.XCalculatable"                                         , ,   -- # 1018 unoil.jar
		"com.sun.star.sheet.XCellAddressable"                                      , ,   -- # 1019 unoil.jar
		"com.sun.star.sheet.XCellFormatRangesSupplier"                             , ,   -- # 1020 unoil.jar
		"com.sun.star.sheet.XCellRangeAddressable"                                 , ,   -- # 1021 unoil.jar
		"com.sun.star.sheet.XCellRangeData"                                        , ,   -- # 1022 unoil.jar
		"com.sun.star.sheet.XCellRangeFormula"                                     , ,   -- # 1023 unoil.jar
		"com.sun.star.sheet.XCellRangeMovement"                                    , ,   -- # 1024 unoil.jar
		"com.sun.star.sheet.XCellRangeReferrer"                                    , ,   -- # 1025 unoil.jar
		"com.sun.star.sheet.XCellRangesAccess"                                     , ,   -- # 1026 unoil.jar
		"com.sun.star.sheet.XCellRangesQuery"                                      , ,   -- # 1027 unoil.jar
		"com.sun.star.sheet.XCellSeries"                                           , ,   -- # 1028 unoil.jar
		"com.sun.star.sheet.XCompatibilityNames"                                   , ,   -- # 1029 unoil.jar
		"com.sun.star.sheet.XConsolidatable"                                       , ,   -- # 1030 unoil.jar
		"com.sun.star.sheet.XConsolidationDescriptor"                              , ,   -- # 1031 unoil.jar
		"com.sun.star.sheet.XDDELink"                                              , ,   -- # 1032 unoil.jar
		"com.sun.star.sheet.XDDELinkResults"                                       , ,   -- # 1033 unoil.jar
		"com.sun.star.sheet.XDDELinks"                                             , ,   -- # 1034 unoil.jar
		"com.sun.star.sheet.XDataPilotDescriptor"                                  , ,   -- # 1035 unoil.jar
		"com.sun.star.sheet.XDataPilotField"                                       , ,   -- # 1036 unoil.jar
		"com.sun.star.sheet.XDataPilotFieldGrouping"                               , ,   -- # 1037 unoil.jar
		"com.sun.star.sheet.XDataPilotMemberResults"                               , ,   -- # 1038 unoil.jar
		"com.sun.star.sheet.XDataPilotResults"                                     , ,   -- # 1039 unoil.jar
		"com.sun.star.sheet.XDataPilotTable"                                       , ,   -- # 1040 unoil.jar
		"com.sun.star.sheet.XDataPilotTable2"                                      , ,   -- # 1041 unoil.jar
		"com.sun.star.sheet.XDataPilotTables"                                      , ,   -- # 1042 unoil.jar
		"com.sun.star.sheet.XDataPilotTablesSupplier"                              , ,   -- # 1043 unoil.jar
		"com.sun.star.sheet.XDatabaseRange"                                        , ,   -- # 1044 unoil.jar
		"com.sun.star.sheet.XDatabaseRanges"                                       , ,   -- # 1045 unoil.jar
		"com.sun.star.sheet.XDimensionsSupplier"                                   , ,   -- # 1046 unoil.jar
		"com.sun.star.sheet.XDocumentAuditing"                                     , ,   -- # 1047 unoil.jar
		"com.sun.star.sheet.XDrillDownDataSupplier"                                , ,   -- # 1048 unoil.jar
		"com.sun.star.sheet.XEnhancedMouseClickBroadcaster"                        , ,   -- # 1049 unoil.jar
		"com.sun.star.sheet.XExternalSheetName"                                    , ,   -- # 1050 unoil.jar
		"com.sun.star.sheet.XFillAcrossSheet"                                      , ,   -- # 1051 unoil.jar
		"com.sun.star.sheet.XFormulaOpCodeMapper"                                  , ,   -- # 1052 unoil.jar
		"com.sun.star.sheet.XFormulaParser"                                        , ,   -- # 1053 unoil.jar
		"com.sun.star.sheet.XFormulaQuery"                                         , ,   -- # 1054 unoil.jar
		"com.sun.star.sheet.XFormulaTokens"                                        , ,   -- # 1055 unoil.jar
		"com.sun.star.sheet.XFunctionAccess"                                       , ,   -- # 1056 unoil.jar
		"com.sun.star.sheet.XFunctionDescriptions"                                 , ,   -- # 1057 unoil.jar
		"com.sun.star.sheet.XGoalSeek"                                             , ,   -- # 1058 unoil.jar
		"com.sun.star.sheet.XHeaderFooterContent"                                  , ,   -- # 1059 unoil.jar
		"com.sun.star.sheet.XHierarchiesSupplier"                                  , ,   -- # 1060 unoil.jar
		"com.sun.star.sheet.XLabelRange"                                           , ,   -- # 1061 unoil.jar
		"com.sun.star.sheet.XLabelRanges"                                          , ,   -- # 1062 unoil.jar
		"com.sun.star.sheet.XLevelsSupplier"                                       , ,   -- # 1063 unoil.jar
		"com.sun.star.sheet.XMembersSupplier"                                      , ,   -- # 1064 unoil.jar
		"com.sun.star.sheet.XMultiFormulaTokens"                                   , ,   -- # 1065 unoil.jar
		"com.sun.star.sheet.XMultipleOperation"                                    , ,   -- # 1066 unoil.jar
		"com.sun.star.sheet.XNamedRange"                                           , ,   -- # 1067 unoil.jar
		"com.sun.star.sheet.XNamedRanges"                                          , ,   -- # 1068 unoil.jar
		"com.sun.star.sheet.XPrintAreas"                                           , ,   -- # 1069 unoil.jar
		"com.sun.star.sheet.XRangeSelection"                                       , ,   -- # 1070 unoil.jar
		"com.sun.star.sheet.XRangeSelectionChangeListener"                         , ,   -- # 1071 unoil.jar
		"com.sun.star.sheet.XRangeSelectionListener"                               , ,   -- # 1072 unoil.jar
		"com.sun.star.sheet.XRecentFunctions"                                      , ,   -- # 1073 unoil.jar
		"com.sun.star.sheet.XResultListener"                                       , ,   -- # 1074 unoil.jar
		"com.sun.star.sheet.XScenario"                                             , ,   -- # 1075 unoil.jar
		"com.sun.star.sheet.XScenarioEnhanced"                                     , ,   -- # 1076 unoil.jar
		"com.sun.star.sheet.XScenarios"                                            , ,   -- # 1077 unoil.jar
		"com.sun.star.sheet.XScenariosSupplier"                                    , ,   -- # 1078 unoil.jar
		"com.sun.star.sheet.XSheetAnnotation"                                      , ,   -- # 1079 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationAnchor"                                , ,   -- # 1080 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationShapeSupplier"                         , ,   -- # 1081 unoil.jar
		"com.sun.star.sheet.XSheetAnnotations"                                     , ,   -- # 1082 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationsSupplier"                             , ,   -- # 1083 unoil.jar
		"com.sun.star.sheet.XSheetAuditing"                                        , ,   -- # 1084 unoil.jar
		"com.sun.star.sheet.XSheetCellCursor"                                      , ,   -- # 1085 unoil.jar
		"com.sun.star.sheet.XSheetCellRange"                                       , ,   -- # 1086 unoil.jar
		"com.sun.star.sheet.XSheetCellRangeContainer"                              , ,   -- # 1087 unoil.jar
		"com.sun.star.sheet.XSheetCellRanges"                                      , ,   -- # 1088 unoil.jar
		"com.sun.star.sheet.XSheetCondition"                                       , ,   -- # 1089 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntries"                              , ,   -- # 1090 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntry"                                , ,   -- # 1091 unoil.jar
		"com.sun.star.sheet.XSheetFilterDescriptor"                                , ,   -- # 1092 unoil.jar
		"com.sun.star.sheet.XSheetFilterable"                                      , ,   -- # 1093 unoil.jar
		"com.sun.star.sheet.XSheetFilterableEx"                                    , ,   -- # 1094 unoil.jar
		"com.sun.star.sheet.XSheetLinkable"                                        , ,   -- # 1095 unoil.jar
		"com.sun.star.sheet.XSheetOperation"                                       , ,   -- # 1096 unoil.jar
		"com.sun.star.sheet.XSheetOutline"                                         , ,   -- # 1097 unoil.jar
		"com.sun.star.sheet.XSheetPageBreak"                                       , ,   -- # 1098 unoil.jar
		"com.sun.star.sheet.XSheetPastable"                                        , ,   -- # 1099 unoil.jar
		"com.sun.star.sheet.XSolver"                                               , ,   -- # 1100 unoil.jar
		"com.sun.star.sheet.XSolverDescription"                                    , ,   -- # 1101 unoil.jar
		"com.sun.star.sheet.XSpreadsheet"                                          , ,   -- # 1102 unoil.jar
		"com.sun.star.sheet.XSpreadsheetDocument"                                  , ,   -- # 1103 unoil.jar
		"com.sun.star.sheet.XSpreadsheetView"                                      , ,   -- # 1104 unoil.jar
		"com.sun.star.sheet.XSpreadsheets"                                         , ,   -- # 1105 unoil.jar
		"com.sun.star.sheet.XSubTotalCalculatable"                                 , ,   -- # 1106 unoil.jar
		"com.sun.star.sheet.XSubTotalDescriptor"                                   , ,   -- # 1107 unoil.jar
		"com.sun.star.sheet.XSubTotalField"                                        , ,   -- # 1108 unoil.jar
		"com.sun.star.sheet.XUniqueCellFormatRangesSupplier"                       , ,   -- # 1109 unoil.jar
		"com.sun.star.sheet.XUsedAreaCursor"                                       , ,   -- # 1110 unoil.jar
		"com.sun.star.sheet.XViewFreezable"                                        , ,   -- # 1111 unoil.jar
		"com.sun.star.sheet.XViewPane"                                             , ,   -- # 1112 unoil.jar
		"com.sun.star.sheet.XViewPanesSupplier"                                    , ,   -- # 1113 unoil.jar
		"com.sun.star.sheet.XViewSplitable"                                        , ,   -- # 1114 unoil.jar
		"com.sun.star.sheet.XVolatileResult"                                       , ,   -- # 1115 unoil.jar
		"com.sun.star.smarttags.XSmartTagAction"                                   , ,   -- # 1116 unoil.jar
		"com.sun.star.smarttags.XSmartTagRecognizer"                               , ,   -- # 1117 unoil.jar
		"com.sun.star.style.XAutoStyle"                                            , ,   -- # 1118 unoil.jar
		"com.sun.star.style.XAutoStyleFamily"                                      , ,   -- # 1119 unoil.jar
		"com.sun.star.style.XAutoStyles"                                           , ,   -- # 1120 unoil.jar
		"com.sun.star.style.XAutoStylesSupplier"                                   , ,   -- # 1121 unoil.jar
		"com.sun.star.style.XDefaultsSupplier"                                     , ,   -- # 1122 unoil.jar
		"com.sun.star.style.XStyle"                                                , ,   -- # 1123 unoil.jar
		"com.sun.star.style.XStyleCondition"                                       , ,   -- # 1124 unoil.jar
		"com.sun.star.style.XStyleFamiliesSupplier"                                , ,   -- # 1125 unoil.jar
		"com.sun.star.style.XStyleLoader"                                          , ,   -- # 1126 unoil.jar
		"com.sun.star.style.XStyleSupplier"                                        , ,   -- # 1127 unoil.jar
		"com.sun.star.svg.XSVGPrinter"                                             , ,   -- # 1128 unoil.jar
		"com.sun.star.svg.XSVGWriter"                                              , ,   -- # 1129 unoil.jar
		"com.sun.star.sync.XSyncCollector"                                         , ,   -- # 1130 unoil.jar
		"com.sun.star.sync.XSynchronizer"                                          , ,   -- # 1131 unoil.jar
		"com.sun.star.system.XProxySettings"                                       , ,   -- # 1132 unoil.jar
		"com.sun.star.system.XSimpleMailClient"                                    , ,   -- # 1133 unoil.jar
		"com.sun.star.system.XSimpleMailClientSupplier"                            , ,   -- # 1134 unoil.jar
		"com.sun.star.system.XSimpleMailMessage"                                   , ,   -- # 1135 unoil.jar
		"com.sun.star.system.XSystemShellExecute"                                  , ,   -- # 1136 unoil.jar
		"com.sun.star.table.XAutoFormattable"                                      , ,   -- # 1137 unoil.jar
		"com.sun.star.table.XCell"                                                 , ,   -- # 1138 unoil.jar
		"com.sun.star.table.XCellCursor"                                           , ,   -- # 1139 unoil.jar
		"com.sun.star.table.XCellRange"                                            , ,   -- # 1140 unoil.jar
		"com.sun.star.table.XColumnRowRange"                                       , ,   -- # 1141 unoil.jar
		"com.sun.star.table.XMergeableCell"                                        , ,   -- # 1142 unoil.jar
		"com.sun.star.table.XMergeableCellRange"                                   , ,   -- # 1143 unoil.jar
		"com.sun.star.table.XTable"                                                , ,   -- # 1144 unoil.jar
		"com.sun.star.table.XTableChart"                                           , ,   -- # 1145 unoil.jar
		"com.sun.star.table.XTableCharts"                                          , ,   -- # 1146 unoil.jar
		"com.sun.star.table.XTableChartsSupplier"                                  , ,   -- # 1147 unoil.jar
		"com.sun.star.table.XTableColumns"                                         , ,   -- # 1148 unoil.jar
		"com.sun.star.table.XTableRows"                                            , ,   -- # 1149 unoil.jar
		"com.sun.star.task.XAbortChannel"                                          , ,   -- # 1150 unoil.jar
		"com.sun.star.task.XAsyncJob"                                              , ,   -- # 1151 unoil.jar
		"com.sun.star.task.XInteractionAbort"                                      , ,   -- # 1152 ridl.jar
		"com.sun.star.task.XInteractionApprove"                                    , ,   -- # 1153 unoil.jar
		"com.sun.star.task.XInteractionContinuation"                               , ,   -- # 1154 ridl.jar
		"com.sun.star.task.XInteractionDisapprove"                                 , ,   -- # 1155 unoil.jar
		"com.sun.star.task.XInteractionHandler"                                    , ,   -- # 1156 ridl.jar
		"com.sun.star.task.XInteractionPassword"                                   , ,   -- # 1157 unoil.jar
		"com.sun.star.task.XInteractionRequest"                                    , ,   -- # 1158 ridl.jar
		"com.sun.star.task.XInteractionRequestStringResolver"                      , ,   -- # 1159 unoil.jar
		"com.sun.star.task.XInteractionRetry"                                      , ,   -- # 1160 ridl.jar
		"com.sun.star.task.XJob"                                                   , ,   -- # 1161 unoil.jar
		"com.sun.star.task.XJobExecutor"                                           , ,   -- # 1162 unoil.jar
		"com.sun.star.task.XJobListener"                                           , ,   -- # 1163 unoil.jar
		"com.sun.star.task.XMasterPasswordHandling"                                , ,   -- # 1164 unoil.jar
		"com.sun.star.task.XPasswordContainer"                                     , ,   -- # 1165 unoil.jar
		"com.sun.star.task.XStatusIndicator"                                       , ,   -- # 1166 unoil.jar
		"com.sun.star.task.XStatusIndicatorFactory"                                , ,   -- # 1167 unoil.jar
		"com.sun.star.task.XStatusIndicatorSupplier"                               , ,   -- # 1168 unoil.jar
		"com.sun.star.test.XSimpleTest"                                            , ,   -- # 1169 ridl.jar
		"com.sun.star.test.XTest"                                                  , ,   -- # 1170 ridl.jar
		"com.sun.star.test.XTestListener"                                          , ,   -- # 1171 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest"                                     , ,   -- # 1172 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest2"                                    , ,   -- # 1173 ridl.jar
		"com.sun.star.test.bridge.XBridgeTestBase"                                 , ,   -- # 1174 ridl.jar
		"com.sun.star.test.bridge.XRecursiveCall"                                  , ,   -- # 1175 ridl.jar
		"com.sun.star.test.performance.XPerformanceTest"                           , ,   -- # 1176 ridl.jar
		"com.sun.star.text.XAutoTextContainer"                                     , ,   -- # 1177 unoil.jar
		"com.sun.star.text.XAutoTextEntry"                                         , ,   -- # 1178 unoil.jar
		"com.sun.star.text.XAutoTextGroup"                                         , ,   -- # 1179 unoil.jar
		"com.sun.star.text.XBookmarkInsertTool"                                    , ,   -- # 1180 unoil.jar
/* ---> [com.sun.star.text.XBookmarksSupplier]: class name [XBookmarksSupplier] in use already! (com.sun.star.sdb.XBookmarksSupplier) */ - 
		"com.sun.star.text.XBookmarksSupplier"                                     , ,   -- # 1181 unoil.jar
		"com.sun.star.text.XChapterNumberingSupplier"                              , ,   -- # 1182 unoil.jar
		"com.sun.star.text.XDefaultNumberingProvider"                              , ,   -- # 1183 unoil.jar
		"com.sun.star.text.XDependentTextField"                                    , ,   -- # 1184 unoil.jar
		"com.sun.star.text.XDocumentIndex"                                         , ,   -- # 1185 unoil.jar
		"com.sun.star.text.XDocumentIndexMark"                                     , ,   -- # 1186 unoil.jar
		"com.sun.star.text.XDocumentIndexesSupplier"                               , ,   -- # 1187 unoil.jar
		"com.sun.star.text.XEndnotesSettingsSupplier"                              , ,   -- # 1188 unoil.jar
		"com.sun.star.text.XEndnotesSupplier"                                      , ,   -- # 1189 unoil.jar
		"com.sun.star.text.XFlatParagraph"                                         , ,   -- # 1190 unoil.jar
		"com.sun.star.text.XFlatParagraphIterator"                                 , ,   -- # 1191 unoil.jar
		"com.sun.star.text.XFlatParagraphIteratorProvider"                         , ,   -- # 1192 unoil.jar
		"com.sun.star.text.XFootnote"                                              , ,   -- # 1193 unoil.jar
		"com.sun.star.text.XFootnotesSettingsSupplier"                             , ,   -- # 1194 unoil.jar
		"com.sun.star.text.XFootnotesSupplier"                                     , ,   -- # 1195 unoil.jar
		"com.sun.star.text.XHeaderFooter"                                          , ,   -- # 1196 unoil.jar
		"com.sun.star.text.XHeaderFooterPageStyle"                                 , ,   -- # 1197 unoil.jar
		"com.sun.star.text.XLineNumberingProperties"                               , ,   -- # 1198 unoil.jar
		"com.sun.star.text.XLineNumberingSupplier"                                 , ,   -- # 1199 unoil.jar
		"com.sun.star.text.XMailMergeBroadcaster"                                  , ,   -- # 1200 unoil.jar
		"com.sun.star.text.XMailMergeListener"                                     , ,   -- # 1201 unoil.jar
/* ---> [com.sun.star.text.XModule]: class name [XModule] in use already! (com.sun.star.frame.XModule) */ - 
		"com.sun.star.text.XModule"                                                , ,   -- # 1202 unoil.jar
		"com.sun.star.text.XNumberingFormatter"                                    , ,   -- # 1203 unoil.jar
		"com.sun.star.text.XNumberingRulesSupplier"                                , ,   -- # 1204 unoil.jar
		"com.sun.star.text.XNumberingTypeInfo"                                     , ,   -- # 1205 unoil.jar
		"com.sun.star.text.XPageCursor"                                            , ,   -- # 1206 unoil.jar
		"com.sun.star.text.XPagePrintable"                                         , ,   -- # 1207 unoil.jar
		"com.sun.star.text.XParagraphAppend"                                       , ,   -- # 1208 unoil.jar
		"com.sun.star.text.XParagraphCursor"                                       , ,   -- # 1209 unoil.jar
		"com.sun.star.text.XRedline"                                               , ,   -- # 1210 unoil.jar
		"com.sun.star.text.XReferenceMarksSupplier"                                , ,   -- # 1211 unoil.jar
		"com.sun.star.text.XRelativeTextContentInsert"                             , ,   -- # 1212 unoil.jar
		"com.sun.star.text.XRelativeTextContentRemove"                             , ,   -- # 1213 unoil.jar
		"com.sun.star.text.XRubySelection"                                         , ,   -- # 1214 unoil.jar
		"com.sun.star.text.XSentenceCursor"                                        , ,   -- # 1215 unoil.jar
		"com.sun.star.text.XSimpleText"                                            , ,   -- # 1216 unoil.jar
		"com.sun.star.text.XText"                                                  , ,   -- # 1217 unoil.jar
		"com.sun.star.text.XTextAppend"                                            , ,   -- # 1218 unoil.jar
		"com.sun.star.text.XTextAppendAndConvert"                                  , ,   -- # 1219 unoil.jar
		"com.sun.star.text.XTextColumns"                                           , ,   -- # 1220 unoil.jar
		"com.sun.star.text.XTextContent"                                           , ,   -- # 1221 unoil.jar
		"com.sun.star.text.XTextContentAppend"                                     , ,   -- # 1222 unoil.jar
		"com.sun.star.text.XTextConvert"                                           , ,   -- # 1223 unoil.jar
		"com.sun.star.text.XTextCopy"                                              , ,   -- # 1224 unoil.jar
		"com.sun.star.text.XTextCursor"                                            , ,   -- # 1225 unoil.jar
		"com.sun.star.text.XTextDocument"                                          , ,   -- # 1226 unoil.jar
		"com.sun.star.text.XTextEmbeddedObject"                                    , ,   -- # 1227 unoil.jar
		"com.sun.star.text.XTextEmbeddedObjectsSupplier"                           , ,   -- # 1228 unoil.jar
		"com.sun.star.text.XTextField"                                             , ,   -- # 1229 unoil.jar
		"com.sun.star.text.XTextFieldsSupplier"                                    , ,   -- # 1230 unoil.jar
		"com.sun.star.text.XTextFrame"                                             , ,   -- # 1231 unoil.jar
		"com.sun.star.text.XTextFramesSupplier"                                    , ,   -- # 1232 unoil.jar
		"com.sun.star.text.XTextGraphicObjectsSupplier"                            , ,   -- # 1233 unoil.jar
		"com.sun.star.text.XTextMarkup"                                            , ,   -- # 1234 unoil.jar
		"com.sun.star.text.XTextPortionAppend"                                     , ,   -- # 1235 unoil.jar
		"com.sun.star.text.XTextRange"                                             , ,   -- # 1236 unoil.jar
		"com.sun.star.text.XTextRangeCompare"                                      , ,   -- # 1237 unoil.jar
		"com.sun.star.text.XTextRangeMover"                                        , ,   -- # 1238 unoil.jar
		"com.sun.star.text.XTextSection"                                           , ,   -- # 1239 unoil.jar
		"com.sun.star.text.XTextSectionsSupplier"                                  , ,   -- # 1240 unoil.jar
		"com.sun.star.text.XTextShapesSupplier"                                    , ,   -- # 1241 unoil.jar
		"com.sun.star.text.XTextTable"                                             , ,   -- # 1242 unoil.jar
		"com.sun.star.text.XTextTableCursor"                                       , ,   -- # 1243 unoil.jar
		"com.sun.star.text.XTextTablesSupplier"                                    , ,   -- # 1244 unoil.jar
		"com.sun.star.text.XTextViewCursor"                                        , ,   -- # 1245 unoil.jar
		"com.sun.star.text.XTextViewCursorSupplier"                                , ,   -- # 1246 unoil.jar
		"com.sun.star.text.XWordCursor"                                            , ,   -- # 1247 unoil.jar
		"com.sun.star.ucb.XAnyCompare"                                             , ,   -- # 1248 unoil.jar
		"com.sun.star.ucb.XAnyCompareFactory"                                      , ,   -- # 1249 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetFactory"                          , ,   -- # 1250 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetStubFactory"                      , ,   -- # 1251 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetFactory"                          , ,   -- # 1252 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetStubFactory"                      , ,   -- # 1253 unoil.jar
		"com.sun.star.ucb.XCommandEnvironment"                                     , ,   -- # 1254 unoil.jar
		"com.sun.star.ucb.XCommandInfo"                                            , ,   -- # 1255 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeListener"                              , ,   -- # 1256 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeNotifier"                              , ,   -- # 1257 unoil.jar
		"com.sun.star.ucb.XCommandProcessor"                                       , ,   -- # 1258 unoil.jar
		"com.sun.star.ucb.XCommandProcessor2"                                      , ,   -- # 1259 unoil.jar
		"com.sun.star.ucb.XContent"                                                , ,   -- # 1260 unoil.jar
		"com.sun.star.ucb.XContentAccess"                                          , ,   -- # 1261 unoil.jar
		"com.sun.star.ucb.XContentCreator"                                         , ,   -- # 1262 unoil.jar
		"com.sun.star.ucb.XContentEventListener"                                   , ,   -- # 1263 unoil.jar
		"com.sun.star.ucb.XContentIdentifier"                                      , ,   -- # 1264 unoil.jar
		"com.sun.star.ucb.XContentIdentifierFactory"                               , ,   -- # 1265 unoil.jar
		"com.sun.star.ucb.XContentIdentifierMapping"                               , ,   -- # 1266 unoil.jar
		"com.sun.star.ucb.XContentProvider"                                        , ,   -- # 1267 unoil.jar
		"com.sun.star.ucb.XContentProviderFactory"                                 , ,   -- # 1268 unoil.jar
		"com.sun.star.ucb.XContentProviderManager"                                 , ,   -- # 1269 unoil.jar
		"com.sun.star.ucb.XContentProviderSupplier"                                , ,   -- # 1270 unoil.jar
		"com.sun.star.ucb.XContentTransmitter"                                     , ,   -- # 1271 unoil.jar
		"com.sun.star.ucb.XDataContainer"                                          , ,   -- # 1272 unoil.jar
		"com.sun.star.ucb.XDynamicResultSet"                                       , ,   -- # 1273 unoil.jar
		"com.sun.star.ucb.XDynamicResultSetListener"                               , ,   -- # 1274 unoil.jar
		"com.sun.star.ucb.XFetchProvider"                                          , ,   -- # 1275 unoil.jar
		"com.sun.star.ucb.XFetchProviderForContentAccess"                          , ,   -- # 1276 unoil.jar
		"com.sun.star.ucb.XFileIdentifierConverter"                                , ,   -- # 1277 unoil.jar
		"com.sun.star.ucb.XInteractionCookieHandling"                              , ,   -- # 1278 unoil.jar
		"com.sun.star.ucb.XInteractionHandlerSupplier"                             , ,   -- # 1279 unoil.jar
		"com.sun.star.ucb.XInteractionReplaceExistingData"                         , ,   -- # 1280 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyAuthentication"                        , ,   -- # 1281 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyName"                                  , ,   -- # 1282 unoil.jar
		"com.sun.star.ucb.XParameterizedContentProvider"                           , ,   -- # 1283 unoil.jar
		"com.sun.star.ucb.XPersistentPropertySet"                                  , ,   -- # 1284 unoil.jar
		"com.sun.star.ucb.XProgressHandler"                                        , ,   -- # 1285 unoil.jar
		"com.sun.star.ucb.XPropertyMatcher"                                        , ,   -- # 1286 unoil.jar
		"com.sun.star.ucb.XPropertyMatcherFactory"                                 , ,   -- # 1287 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistry"                                    , ,   -- # 1288 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistryFactory"                             , ,   -- # 1289 unoil.jar
		"com.sun.star.ucb.XRecycler"                                               , ,   -- # 1290 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderAcceptor"                          , ,   -- # 1291 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderActivator"                         , ,   -- # 1292 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeListener"                    , ,   -- # 1293 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeNotifier"                    , ,   -- # 1294 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderConnectionControl"                 , ,   -- # 1295 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDistributor"                       , ,   -- # 1296 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDoneListener"                      , ,   -- # 1297 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderSupplier"                          , ,   -- # 1298 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess"                                       , ,   -- # 1299 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess2"                                      , ,   -- # 1300 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess3"                                      , ,   -- # 1301 unoil.jar
		"com.sun.star.ucb.XSortedDynamicResultSetFactory"                          , ,   -- # 1302 unoil.jar
		"com.sun.star.ucb.XSourceInitialization"                                   , ,   -- # 1303 unoil.jar
		"com.sun.star.ucb.XWebDAVCommandEnvironment"                               , ,   -- # 1304 unoil.jar
		"com.sun.star.ui.XAcceleratorConfiguration"                                , ,   -- # 1305 unoil.jar
		"com.sun.star.ui.XContextMenuInterception"                                 , ,   -- # 1306 unoil.jar
		"com.sun.star.ui.XContextMenuInterceptor"                                  , ,   -- # 1307 unoil.jar
		"com.sun.star.ui.XDockingAreaAcceptor"                                     , ,   -- # 1308 unoil.jar
		"com.sun.star.ui.XImageManager"                                            , ,   -- # 1309 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManager"                            , ,   -- # 1310 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManagerSupplier"                    , ,   -- # 1311 unoil.jar
		"com.sun.star.ui.XUIConfiguration"                                         , ,   -- # 1312 unoil.jar
		"com.sun.star.ui.XUIConfigurationListener"                                 , ,   -- # 1313 unoil.jar
		"com.sun.star.ui.XUIConfigurationManager"                                  , ,   -- # 1314 unoil.jar
		"com.sun.star.ui.XUIConfigurationManagerSupplier"                          , ,   -- # 1315 unoil.jar
		"com.sun.star.ui.XUIConfigurationPersistence"                              , ,   -- # 1316 unoil.jar
		"com.sun.star.ui.XUIConfigurationStorage"                                  , ,   -- # 1317 unoil.jar
		"com.sun.star.ui.XUIElement"                                               , ,   -- # 1318 unoil.jar
		"com.sun.star.ui.XUIElementFactory"                                        , ,   -- # 1319 unoil.jar
		"com.sun.star.ui.XUIElementFactoryRegistration"                            , ,   -- # 1320 unoil.jar
		"com.sun.star.ui.XUIElementSettings"                                       , ,   -- # 1321 unoil.jar
		"com.sun.star.ui.XUIFunctionListener"                                      , ,   -- # 1322 unoil.jar
		"com.sun.star.ui.dialogs.XAsynchronousExecutableDialog"                    , ,   -- # 1323 unoil.jar
		"com.sun.star.ui.dialogs.XControlAccess"                                   , ,   -- # 1324 unoil.jar
		"com.sun.star.ui.dialogs.XControlInformation"                              , ,   -- # 1325 unoil.jar
		"com.sun.star.ui.dialogs.XDialogClosedListener"                            , ,   -- # 1326 unoil.jar
		"com.sun.star.ui.dialogs.XExecutableDialog"                                , ,   -- # 1327 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker"                                      , ,   -- # 1328 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker2"                                     , ,   -- # 1329 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerControlAccess"                         , ,   -- # 1330 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerListener"                              , ,   -- # 1331 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerNotifier"                              , ,   -- # 1332 unoil.jar
		"com.sun.star.ui.dialogs.XFilePreview"                                     , ,   -- # 1333 unoil.jar
		"com.sun.star.ui.dialogs.XFilterGroupManager"                              , ,   -- # 1334 unoil.jar
		"com.sun.star.ui.dialogs.XFilterManager"                                   , ,   -- # 1335 unoil.jar
		"com.sun.star.ui.dialogs.XFolderPicker"                                    , ,   -- # 1336 unoil.jar
		"com.sun.star.uno.XAdapter"                                                , ,   -- # 1337 ridl.jar
		"com.sun.star.uno.XAggregation"                                            , ,   -- # 1338 ridl.jar
		"com.sun.star.uno.XComponentContext"                                       , ,   -- # 1339 ridl.jar
		"com.sun.star.uno.XCurrentContext"                                         , ,   -- # 1340 ridl.jar
		"com.sun.star.uno.XInterface"                                              , ,   -- # 1341 ridl.jar
		"com.sun.star.uno.XNamingService"                                          , ,   -- # 1342 ridl.jar
		"com.sun.star.uno.XReference"                                              , ,   -- # 1343 ridl.jar
		"com.sun.star.uno.XUnloadingPreference"                                    , ,   -- # 1344 ridl.jar
		"com.sun.star.uno.XWeak"                                                   , ,   -- # 1345 ridl.jar
		"com.sun.star.uri.XExternalUriReferenceTranslator"                         , ,   -- # 1346 ridl.jar
		"com.sun.star.uri.XUriReference"                                           , ,   -- # 1347 ridl.jar
		"com.sun.star.uri.XUriReferenceFactory"                                    , ,   -- # 1348 ridl.jar
		"com.sun.star.uri.XUriSchemeParser"                                        , ,   -- # 1349 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrl"                                    , ,   -- # 1350 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrlReference"                           , ,   -- # 1351 ridl.jar
		"com.sun.star.uri.XVndSunStarPkgUrlReferenceFactory"                       , ,   -- # 1352 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrl"                                    , ,   -- # 1353 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrlReference"                           , ,   -- # 1354 ridl.jar
		"com.sun.star.util.XArchiver"                                              , ,   -- # 1355 unoil.jar
		"com.sun.star.util.XAtomServer"                                            , ,   -- # 1356 unoil.jar
		"com.sun.star.util.XBroadcaster"                                           , ,   -- # 1357 unoil.jar
		"com.sun.star.util.XCancelManager"                                         , ,   -- # 1358 unoil.jar
		"com.sun.star.util.XCancellable"                                           , ,   -- # 1359 unoil.jar
		"com.sun.star.util.XChainable"                                             , ,   -- # 1360 unoil.jar
		"com.sun.star.util.XChangesBatch"                                          , ,   -- # 1361 unoil.jar
		"com.sun.star.util.XChangesListener"                                       , ,   -- # 1362 unoil.jar
		"com.sun.star.util.XChangesNotifier"                                       , ,   -- # 1363 unoil.jar
		"com.sun.star.util.XChangesSet"                                            , ,   -- # 1364 unoil.jar
		"com.sun.star.util.XCloneable"                                             , ,   -- # 1365 unoil.jar
		"com.sun.star.util.XCloseBroadcaster"                                      , ,   -- # 1366 unoil.jar
		"com.sun.star.util.XCloseListener"                                         , ,   -- # 1367 unoil.jar
/* ---> [com.sun.star.util.XCloseable]: class name [XCloseable] in use already! (com.sun.star.sdbc.XCloseable) */ - 
		"com.sun.star.util.XCloseable"                                             , ,   -- # 1368 unoil.jar
		"com.sun.star.util.XDataEditor"                                            , ,   -- # 1369 unoil.jar
		"com.sun.star.util.XDataEditorListener"                                    , ,   -- # 1370 unoil.jar
		"com.sun.star.util.XFlushListener"                                         , ,   -- # 1371 unoil.jar
		"com.sun.star.util.XFlushable"                                             , ,   -- # 1372 unoil.jar
		"com.sun.star.util.XImportable"                                            , ,   -- # 1373 unoil.jar
		"com.sun.star.util.XIndent"                                                , ,   -- # 1374 unoil.jar
		"com.sun.star.util.XJobManager"                                            , ,   -- # 1375 unoil.jar
		"com.sun.star.util.XLinkUpdate"                                            , ,   -- # 1376 unoil.jar
		"com.sun.star.util.XLocalizedAliases"                                      , ,   -- # 1377 unoil.jar
		"com.sun.star.util.XMacroExpander"                                         , ,   -- # 1378 ridl.jar
		"com.sun.star.util.XMergeable"                                             , ,   -- # 1379 unoil.jar
		"com.sun.star.util.XModeChangeApproveListener"                             , ,   -- # 1380 unoil.jar
		"com.sun.star.util.XModeChangeBroadcaster"                                 , ,   -- # 1381 unoil.jar
		"com.sun.star.util.XModeChangeListener"                                    , ,   -- # 1382 unoil.jar
		"com.sun.star.util.XModeSelector"                                          , ,   -- # 1383 unoil.jar
		"com.sun.star.util.XModifiable"                                            , ,   -- # 1384 unoil.jar
		"com.sun.star.util.XModifiable2"                                           , ,   -- # 1385 unoil.jar
		"com.sun.star.util.XModifyBroadcaster"                                     , ,   -- # 1386 unoil.jar
		"com.sun.star.util.XModifyListener"                                        , ,   -- # 1387 unoil.jar
		"com.sun.star.util.XNumberFormatPreviewer"                                 , ,   -- # 1388 unoil.jar
		"com.sun.star.util.XNumberFormatTypes"                                     , ,   -- # 1389 unoil.jar
		"com.sun.star.util.XNumberFormats"                                         , ,   -- # 1390 unoil.jar
		"com.sun.star.util.XNumberFormatsSupplier"                                 , ,   -- # 1391 unoil.jar
		"com.sun.star.util.XNumberFormatter"                                       , ,   -- # 1392 unoil.jar
		"com.sun.star.util.XOfficeInstallationDirectories"                         , ,   -- # 1393 unoil.jar
		"com.sun.star.util.XPropertyReplace"                                       , ,   -- # 1394 unoil.jar
		"com.sun.star.util.XProtectable"                                           , ,   -- # 1395 unoil.jar
		"com.sun.star.util.XRefreshListener"                                       , ,   -- # 1396 unoil.jar
		"com.sun.star.util.XRefreshable"                                           , ,   -- # 1397 unoil.jar
		"com.sun.star.util.XReplaceDescriptor"                                     , ,   -- # 1398 unoil.jar
		"com.sun.star.util.XReplaceable"                                           , ,   -- # 1399 unoil.jar
		"com.sun.star.util.XSearchDescriptor"                                      , ,   -- # 1400 unoil.jar
		"com.sun.star.util.XSearchable"                                            , ,   -- # 1401 unoil.jar
		"com.sun.star.util.XSimpleErrorHandler"                                    , ,   -- # 1402 unoil.jar
		"com.sun.star.util.XSortable"                                              , ,   -- # 1403 unoil.jar
		"com.sun.star.util.XStringAbbreviation"                                    , ,   -- # 1404 unoil.jar
		"com.sun.star.util.XStringEscape"                                          , ,   -- # 1405 unoil.jar
		"com.sun.star.util.XStringMapping"                                         , ,   -- # 1406 unoil.jar
		"com.sun.star.util.XStringSubstitution"                                    , ,   -- # 1407 unoil.jar
		"com.sun.star.util.XStringWidth"                                           , ,   -- # 1408 unoil.jar
		"com.sun.star.util.XTextSearch"                                            , ,   -- # 1409 unoil.jar
		"com.sun.star.util.XTimeStamped"                                           , ,   -- # 1410 unoil.jar
		"com.sun.star.util.XURLTransformer"                                        , ,   -- # 1411 unoil.jar
		"com.sun.star.util.XUniqueIDFactory"                                       , ,   -- # 1412 unoil.jar
		"com.sun.star.util.XUpdatable"                                             , ,   -- # 1413 unoil.jar
		"com.sun.star.util.XVeto"                                                  , ,   -- # 1414 ridl.jar
/* ---> [com.sun.star.util.logging.XLogger]: class name [XLogger] in use already! (com.sun.star.logging.XLogger) */ - 
		"com.sun.star.util.logging.XLogger"                                        , ,   -- # 1415 ridl.jar
		"com.sun.star.util.logging.XLoggerRemote"                                  , ,   -- # 1416 ridl.jar
/* ---> [com.sun.star.view.XControlAccess]: class name [XControlAccess] in use already! (com.sun.star.ui.dialogs.XControlAccess) */ - 
		"com.sun.star.view.XControlAccess"                                         , ,   -- # 1417 unoil.jar
		"com.sun.star.view.XFormLayerAccess"                                       , ,   -- # 1418 unoil.jar
		"com.sun.star.view.XLineCursor"                                            , ,   -- # 1419 unoil.jar
		"com.sun.star.view.XMultiSelectionSupplier"                                , ,   -- # 1420 unoil.jar
		"com.sun.star.view.XPrintJob"                                              , ,   -- # 1421 unoil.jar
		"com.sun.star.view.XPrintJobBroadcaster"                                   , ,   -- # 1422 unoil.jar
		"com.sun.star.view.XPrintJobListener"                                      , ,   -- # 1423 unoil.jar
		"com.sun.star.view.XPrintPreview"                                          , ,   -- # 1424 unoil.jar
		"com.sun.star.view.XPrintSettingsSupplier"                                 , ,   -- # 1425 unoil.jar
		"com.sun.star.view.XPrintable"                                             , ,   -- # 1426 unoil.jar
		"com.sun.star.view.XPrintableBroadcaster"                                  , ,   -- # 1427 unoil.jar
		"com.sun.star.view.XPrintableListener"                                     , ,   -- # 1428 unoil.jar
		"com.sun.star.view.XRenderable"                                            , ,   -- # 1429 unoil.jar
		"com.sun.star.view.XScreenCursor"                                          , ,   -- # 1430 unoil.jar
		"com.sun.star.view.XSelectionChangeListener"                               , ,   -- # 1431 unoil.jar
		"com.sun.star.view.XSelectionSupplier"                                     , ,   -- # 1432 unoil.jar
		"com.sun.star.view.XViewCursor"                                            , ,   -- # 1433 unoil.jar
		"com.sun.star.view.XViewSettingsSupplier"                                  , ,   -- # 1434 unoil.jar
		"com.sun.star.xforms.XDataTypeRepository"                                  , ,   -- # 1435 unoil.jar
		"com.sun.star.xforms.XFormsEvent"                                          , ,   -- # 1436 unoil.jar
/* ---> [com.sun.star.xforms.XFormsSupplier]: class name [XFormsSupplier] in use already! (com.sun.star.form.XFormsSupplier) */ - 
		"com.sun.star.xforms.XFormsSupplier"                                       , ,   -- # 1437 unoil.jar
		"com.sun.star.xforms.XFormsUIHelper1"                                      , ,   -- # 1438 unoil.jar
/* ---> [com.sun.star.xforms.XModel]: class name [XModel] in use already! (com.sun.star.frame.XModel) */ - 
		"com.sun.star.xforms.XModel"                                               , ,   -- # 1439 unoil.jar
/* ---> [com.sun.star.xforms.XSubmission]: class name [XSubmission] in use already! (com.sun.star.form.submission.XSubmission) */ - 
		"com.sun.star.xforms.XSubmission"                                          , ,   -- # 1440 unoil.jar
		"com.sun.star.xml.XExportFilter"                                           , ,   -- # 1441 unoil.jar
		"com.sun.star.xml.XImportFilter"                                           , ,   -- # 1442 unoil.jar
		"com.sun.star.xml.crypto.XMLEncryptionException"                           , ,   -- # 1443 unoil.jar
		"com.sun.star.xml.crypto.XMLSignatureException"                            , ,   -- # 1444 unoil.jar
		"com.sun.star.xml.crypto.XSEInitializer"                                   , ,   -- # 1445 unoil.jar
		"com.sun.star.xml.crypto.XSecurityEnvironment"                             , ,   -- # 1446 unoil.jar
		"com.sun.star.xml.crypto.XUriBinding"                                      , ,   -- # 1447 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryption"                                   , ,   -- # 1448 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryptionTemplate"                           , ,   -- # 1449 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityContext"                              , ,   -- # 1450 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityTemplate"                             , ,   -- # 1451 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignature"                                    , ,   -- # 1452 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignatureTemplate"                            , ,   -- # 1453 unoil.jar
		"com.sun.star.xml.crypto.sax.XBlockerMonitor"                              , ,   -- # 1454 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultBroadcaster"                 , ,   -- # 1455 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultListener"                    , ,   -- # 1456 unoil.jar
		"com.sun.star.xml.crypto.sax.XElementStackKeeper"                          , ,   -- # 1457 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultBroadcaster"                 , ,   -- # 1458 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultListener"                    , ,   -- # 1459 unoil.jar
		"com.sun.star.xml.crypto.sax.XKeyCollector"                                , ,   -- # 1460 unoil.jar
		"com.sun.star.xml.crypto.sax.XMissionTaker"                                , ,   -- # 1461 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceCollector"                          , ,   -- # 1462 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedBroadcaster"                , ,   -- # 1463 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedListener"                   , ,   -- # 1464 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeper"                              , ,   -- # 1465 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeBroadcaster"       , ,   -- # 1466 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeListener"          , ,   -- # 1467 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecurityController"                          , ,   -- # 1468 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecuritySAXEventKeeper"                      , ,   -- # 1469 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultBroadcaster"          , ,   -- # 1470 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultListener"             , ,   -- # 1471 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultBroadcaster"            , ,   -- # 1472 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultListener"               , ,   -- # 1473 unoil.jar
		"com.sun.star.xml.csax.XCompressedDocumentHandler"                         , ,   -- # 1474 unoil.jar
		"com.sun.star.xml.csax.XMLAttribute"                                       , ,   -- # 1475 unoil.jar
		"com.sun.star.xml.dom.XAttr"                                               , ,   -- # 1476 unoil.jar
		"com.sun.star.xml.dom.XCDATASection"                                       , ,   -- # 1477 unoil.jar
		"com.sun.star.xml.dom.XCharacterData"                                      , ,   -- # 1478 unoil.jar
		"com.sun.star.xml.dom.XComment"                                            , ,   -- # 1479 unoil.jar
		"com.sun.star.xml.dom.XDOMImplementation"                                  , ,   -- # 1480 unoil.jar
		"com.sun.star.xml.dom.XDocument"                                           , ,   -- # 1481 unoil.jar
		"com.sun.star.xml.dom.XDocumentBuilder"                                    , ,   -- # 1482 unoil.jar
		"com.sun.star.xml.dom.XDocumentFragment"                                   , ,   -- # 1483 unoil.jar
		"com.sun.star.xml.dom.XDocumentType"                                       , ,   -- # 1484 unoil.jar
		"com.sun.star.xml.dom.XElement"                                            , ,   -- # 1485 unoil.jar
		"com.sun.star.xml.dom.XEntity"                                             , ,   -- # 1486 unoil.jar
		"com.sun.star.xml.dom.XEntityReference"                                    , ,   -- # 1487 unoil.jar
		"com.sun.star.xml.dom.XNamedNodeMap"                                       , ,   -- # 1488 unoil.jar
/* ---> [com.sun.star.xml.dom.XNode]: class name [XNode] in use already! (com.sun.star.rdf.XNode) */ - 
		"com.sun.star.xml.dom.XNode"                                               , ,   -- # 1489 unoil.jar
		"com.sun.star.xml.dom.XNodeList"                                           , ,   -- # 1490 unoil.jar
		"com.sun.star.xml.dom.XNotation"                                           , ,   -- # 1491 unoil.jar
		"com.sun.star.xml.dom.XProcessingInstruction"                              , ,   -- # 1492 unoil.jar
		"com.sun.star.xml.dom.XSAXDocumentBuilder"                                 , ,   -- # 1493 unoil.jar
/* ---> [com.sun.star.xml.dom.XText]: class name [XText] in use already! (com.sun.star.text.XText) */ - 
		"com.sun.star.xml.dom.XText"                                               , ,   -- # 1494 unoil.jar
		"com.sun.star.xml.dom.events.XDocumentEvent"                               , ,   -- # 1495 unoil.jar
		"com.sun.star.xml.dom.events.XEvent"                                       , ,   -- # 1496 unoil.jar
/* ---> [com.sun.star.xml.dom.events.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.xml.dom.events.XEventListener"                               , ,   -- # 1497 unoil.jar
		"com.sun.star.xml.dom.events.XEventTarget"                                 , ,   -- # 1498 unoil.jar
		"com.sun.star.xml.dom.events.XMouseEvent"                                  , ,   -- # 1499 unoil.jar
		"com.sun.star.xml.dom.events.XMutationEvent"                               , ,   -- # 1500 unoil.jar
		"com.sun.star.xml.dom.events.XUIEvent"                                     , ,   -- # 1501 unoil.jar
		"com.sun.star.xml.dom.views.XAbstractView"                                 , ,   -- # 1502 unoil.jar
		"com.sun.star.xml.dom.views.XDocumentView"                                 , ,   -- # 1503 unoil.jar
		"com.sun.star.xml.input.XAttributes"                                       , ,   -- # 1504 unoil.jar
/* ---> [com.sun.star.xml.input.XElement]: class name [XElement] in use already! (com.sun.star.xml.dom.XElement) */ - 
		"com.sun.star.xml.input.XElement"                                          , ,   -- # 1505 unoil.jar
		"com.sun.star.xml.input.XNamespaceMapping"                                 , ,   -- # 1506 unoil.jar
		"com.sun.star.xml.input.XRoot"                                             , ,   -- # 1507 unoil.jar
		"com.sun.star.xml.sax.XAttributeList"                                      , ,   -- # 1508 unoil.jar
		"com.sun.star.xml.sax.XDTDHandler"                                         , ,   -- # 1509 unoil.jar
		"com.sun.star.xml.sax.XDocumentHandler"                                    , ,   -- # 1510 unoil.jar
		"com.sun.star.xml.sax.XEntityResolver"                                     , ,   -- # 1511 unoil.jar
		"com.sun.star.xml.sax.XErrorHandler"                                       , ,   -- # 1512 unoil.jar
		"com.sun.star.xml.sax.XExtendedDocumentHandler"                            , ,   -- # 1513 unoil.jar
		"com.sun.star.xml.sax.XFastAttributeList"                                  , ,   -- # 1514 unoil.jar
		"com.sun.star.xml.sax.XFastContextHandler"                                 , ,   -- # 1515 unoil.jar
		"com.sun.star.xml.sax.XFastDocumentHandler"                                , ,   -- # 1516 unoil.jar
		"com.sun.star.xml.sax.XFastParser"                                         , ,   -- # 1517 unoil.jar
		"com.sun.star.xml.sax.XFastShapeContextHandler"                            , ,   -- # 1518 unoil.jar
		"com.sun.star.xml.sax.XFastTokenHandler"                                   , ,   -- # 1519 unoil.jar
		"com.sun.star.xml.sax.XLocator"                                            , ,   -- # 1520 unoil.jar
		"com.sun.star.xml.sax.XParser"                                             , ,   -- # 1521 unoil.jar
		"com.sun.star.xml.sax.XSAXSerializable"                                    , ,   -- # 1522 unoil.jar
		"com.sun.star.xml.wrapper.XXMLDocumentWrapper"                             , ,   -- # 1523 unoil.jar
		"com.sun.star.xml.wrapper.XXMLElementWrapper"                              , ,   -- # 1524 unoil.jar
		"com.sun.star.xml.xpath.XPathException"                                    , ,   -- # 1525 unoil.jar
		"com.sun.star.xml.xpath.XPathObjectType"                                   , ,   -- # 1526 unoil.jar
		"com.sun.star.xml.xpath.XXPathAPI"                                         , ,   -- # 1527 unoil.jar
		"com.sun.star.xml.xpath.XXPathExtension"                                   , ,   -- # 1528 unoil.jar
		"com.sun.star.xml.xpath.XXPathObject"                                      , ,   -- # 1529 unoil.jar
		"com.sun.star.xsd.XDataType"                                               , ,   -- # 1530 unoil.jar
/* ---> [drafts.com.sun.star.form.XBindableValue]: class name [XBindableValue] in use already! (com.sun.star.form.binding.XBindableValue) */ - 
		"drafts.com.sun.star.form.XBindableValue"                                  , ,   -- # 1531 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntryListener]: class name [XListEntryListener] in use already! (com.sun.star.form.binding.XListEntryListener) */ - 
		"drafts.com.sun.star.form.XListEntryListener"                              , ,   -- # 1532 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySink]: class name [XListEntrySink] in use already! (com.sun.star.form.binding.XListEntrySink) */ - 
		"drafts.com.sun.star.form.XListEntrySink"                                  , ,   -- # 1533 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySource]: class name [XListEntrySource] in use already! (com.sun.star.form.binding.XListEntrySource) */ - 
		"drafts.com.sun.star.form.XListEntrySource"                                , ,   -- # 1534 unoil.jar
/* ---> [drafts.com.sun.star.form.XValueBinding]: class name [XValueBinding] in use already! (com.sun.star.form.binding.XValueBinding) */ - 
		"drafts.com.sun.star.form.XValueBinding"                                     ,   -- # 1535 unoil.jar
   )

-- maximum fully qualified class-name length: 72, maximum length of class name: 41
-- say l~items "items in list l" /* should be: 1535 items */

   return l
